<?php

add_action('admin_enqueue_scripts', 'laundrydrycleaning_core_admin_fonts_enqueue');

function laundrydrycleaning_core_admin_fonts_enqueue() {

    wp_enqueue_style('iconfont-style', get_template_directory_uri() . '/fonts/style.css', '', null);
}

/* * *************************************************************
 * Get Theme Font Icon
 * ************************************************************** */
if (!function_exists('laundrydrycleaning_get_theme_font')) {

    function &laundrydrycleaning_get_theme_font() {
        if (isset($GLOBALS['laundrydrycleaning_theme_icons']) && is_array($GLOBALS['laundrydrycleaning_theme_icons'])) {
            return $GLOBALS['laundrydrycleaning_theme_icons'];
        }
        $GLOBALS['laundrydrycleaning_theme_icons'] = apply_filters('laundrydrycleaning_theme_icons', array(
            array('icon-email' => 'icon-email'),
            array('icon-fax-machine' => 'icon-fax-machine'),
            array('icon-iron' => 'icon-iron'),
            array('icon-ironing-board' => 'icon-ironing-board'),
            array('icon-sewing-machine' => 'icon-sewing-machine'),
            array('icon-shoes' => 'icon-shoes'),
            array('icon-bright-lightbulb' => 'icon-bright-lightbulb'),
            array('icon-tag-1' => 'icon-tag-1'),
            array('icon-reading-book' => 'icon-reading-book'),
            array('icon-quality' => 'icon-quality'),
            array('icon-express-delivery' => 'icon-express-delivery'),
            array('icon-interface' => 'icon-interface'),
            array('icon-telephone' => 'icon-telephone'),
            array('icon-clock' => 'icon-clock'),
            array('icon-map-pointer' => 'icon-map-pointer'),
            array('icon-people' => 'icon-people'),
            array('icon-play' => 'icon-play'),
            array('icon-search' => 'icon-search'),
            array('icon-shirt' => 'icon-shirt'),
            array('icon-bag' => 'icon-bag'),
            array('iicon-towel' => 'icon-towel'),
            array('icon-star' => 'icon-star'),
            array('icon-tag' => 'icon-tag'),
            array('icon-electric-iron' => 'icon-electric-iron'),
            array('icon-technology' => 'icon-technology'),
            array('icon-Laundry-detergent-free-icon-4' => 'icon-Laundry-detergent-free-icon-4'),
            array('icon-video' => 'icon-video'),
            array('icon-arrows' => 'icon-arrows'),
            array('icon-basic-tick' => 'icon-basic-tick'),          
            array('icon-bag1' => 'icon-bag1'),           
            array('iicon-delivery-truck' => 'icon-delivery-truck'),
            array('icon-tool' => 'icon-tool'),
            array('icon-clothes-1' => 'icon-clothes-1'),
            array('icon-clothes-2' => 'icon-clothes-2'),
            array('icon-clothes-3' => 'icon-clothes-3'),
            array('icon-clothes-4' => 'icon-clothes-4'),
            array('icon-hand-wash' => 'icon-hand-wash'),
            array('icon-hanger' => 'icon-hanger'),
            array('icon-laundry' => 'icon-laundry'),
            array('icon-instagram-social-network-logo-of-photo-camera' => 'icon-instagram-social-network-logo-of-photo-camera'),
            array('icon-linkedin-logo' => 'icon-linkedin-logo'),
            array('icon-twitter-logo-silhouette' => 'icon-twitter-logo-silhouette'),
            array('icon-facebook-logo' => 'icon-facebook-logo'),
            array('icon-social' => 'icon-social'),
            array('icon-social-1' => 'icon-social-1'),
            array('icon-vimeo' => 'icon-vimeo'),
            array('icon-left-arrow' => 'icon-left-arrow'),
            array('icon-right-arrow' => 'icon-right-arrow'),
            array('icon-pilesos' => 'icon-pilesos'),
            array('icon-hanger-with-clothes' => 'icon-hanger-with-clothes'),
            array('icon-menu-button-of-three-horizontal-lines' => 'icon-menu-button-of-three-horizontal-lines'),
            array('icon-cancel-music' => 'icon-cancel-music'),
            array('icon-customers' => 'icon-customers'),
            array('icon-exit' => 'icon-exit'),
            array('icon-university-campus' => 'icon-university-campus'),
            array('icon-building' => 'icon-building'),
            array('icon-towel2' => 'icon-towel2'),
            array('icon-garbage'=>'icon-garbage'),
            array('icon-furniture'=>'icon-furniture'),
            array('icon-chat-bubble' => 'icon-chat-bubble'),        
            array('icon-today'=>'icon-today'),
            array('icon-angle-down'=>'icon-angle-down'),
            array('icon-angle-up'=>'icon-angle-up'),
            array('icon-bin'=>'icon-bin'),
            array('icon-calendar'=>'icon-calendar'),
            array('icon-arrow'=>'icon-arrow'),
            array('icon-arrow.opened'=>'icon-arrow.opened'),
 
 
        ));

        return $GLOBALS['laundrydrycleaning_theme_icons'];
    }

}

/* * *************************************************************
 * Get Theme Font Icon
 * ************************************************************** */

/*if (!function_exists('laundrydrycleaning_get_theme_font')) {

    function &laundrydrycleaning_get_theme_font() {
        if (function_exists('laundrydrycleaning_get_theme_font')) {
            return laundrydrycleaning_get_theme_font();
        }
        $fonts = array();
        return $fonts;
    }

}*/


/* * *************************************************************
 * Add theme icon
 * ************************************************************** */
if (!function_exists('laundrydrycleaning_add_theme_icon')) {

    function laundrydrycleaning_add_theme_icon($icons) {
        $icons['Laundrydrycleaning Fonts'] = &laundrydrycleaning_get_theme_font();
        return $icons;
    }

    add_filter('vc_iconpicker-type-laundrydrycleaning', 'laundrydrycleaning_add_theme_icon');
}
