<?php
/*
  Plugin Name: Laundry Helper
  Plugin URI: http://smartdatasoft.com/
  Description: Helping for the Pool Searvices theme.
  Author: SmartDataSoft Team
  Version: 1.5
  Author URI: http://smartdatasoft.com/
 */


/* ============================================================
 * Visual Composer shorrtcode config
 * ============================================================ */
if (file_exists(plugin_dir_path(__FILE__) . '/vc_element/vc_shortcodes_map.php')) {
    require_once plugin_dir_path(__FILE__) . '/vc_element/vc_shortcodes_map.php';
} else {
    add_action('admin_notices', function() {
        echo '
		<div class="error">
			<p><strong>/vc_element/vc_shortcodes_map.php</strong> ' . esc_html__('File not exist in Pool Searvices Helping Plugin !!', 'video-cafe') . '</p>
		</div>
		';
    });
}

if (file_exists(plugin_dir_path(__FILE__) . '/vc_element/vc_shortcodes.php')) {
    require_once plugin_dir_path(__FILE__) . '/vc_element/vc_shortcodes.php';
} else {
    add_action('admin_notices', function() {
        echo '
		<div class="error">
			<p><strong>/vc_element/vc_shortcodes.php</strong> ' . esc_html__('File not exist in  Pool Searvices Helping Plugin !!', 'video-cafe') . '</p>
		</div>
		';
    });
}


define('PLUGIN_DIR', dirname(__FILE__) . '/');
$classesDir = array(
    PLUGIN_DIR . 'widget/'
);

function __autoloadCustomFolder() {
    global $classesDir;
    foreach ($classesDir as $directory) {
        foreach (glob($directory . '*.php') as $filename) {
            if (file_exists($filename)) {
                include_once ($filename);
            }
        }
    }
}
__autoloadCustomFolder();

// Register Custom Post Type
function laundry_custom_post_history() {

    $labels = array(
        'name' => _x('Historyes', 'Post Type General Name', 'laundry'),
        'singular_name' => _x('History', 'Post Type Singular Name', 'laundry'),
        'menu_name' => __('Post Types History', 'laundry'),
        'name_admin_bar' => __('Post Type History', 'laundry'),
        'archives' => __('Item Archives', 'laundry'),
        'attributes' => __('Item Attributes', 'laundry'),
        'parent_item_colon' => __('Parent Item:', 'laundry'),
        'all_items' => __('All Items', 'laundry'),
        'add_new_item' => __('Add New Item', 'laundry'),
        'add_new' => __('Add New History', 'laundry'),
        'new_item' => __('New Item History', 'laundry'),
        'edit_item' => __('Edit Item', 'laundry'),
        'update_item' => __('Update Item', 'laundry'),
        'view_item' => __('View Item', 'laundry'),
        'view_items' => __('View Items', 'laundry'),
        'search_items' => __('Search Item', 'laundry'),
        'not_found' => __('Not found', 'laundry'),
        'not_found_in_trash' => __('Not found in Trash', 'laundry'),
        'featured_image' => __('Featured Image', 'laundry'),
        'set_featured_image' => __('Set featured image', 'laundry'),
        'remove_featured_image' => __('Remove featured image', 'laundry'),
        'use_featured_image' => __('Use as featured image', 'laundry'),
        'insert_into_item' => __('Insert into item', 'laundry'),
        'uploaded_to_this_item' => __('Uploaded to this item', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
        'filter_items_list' => __('Filter items list', 'laundry'),
    );
    $args = array(
        'label' => __('History', 'laundry'),
        'description' => __('Post Type history Description', 'laundry'),
        'labels' => $labels,
        'supports' => array('title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments',),
        'taxonomies' => array('history_year'),
        'hierarchical' => false,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => true,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('history', $args);
}

add_action('init', 'laundry_custom_post_history', 0);

// Register Custom Taxonomy
function laundry_custom_taxonomy_history() {

    $labels = array(
        'name' => _x('History years', 'Taxonomy General Name', 'laundry'),
        'singular_name' => _x('History year', 'Taxonomy Singular Name', 'laundry'),
        'menu_name' => __('HIstory Year', 'laundry'),
        'all_items' => __('All Items (Years)', 'laundry'),
        'parent_item' => __('Parent Item year', 'laundry'),
        'parent_item_colon' => __('Parent Item year:', 'laundry'),
        'new_item_name' => __('New Item history year', 'laundry'),
        'add_new_item' => __('Add A history year', 'laundry'),
        'edit_item' => __('Edit Item (Year)', 'laundry'),
        'update_item' => __('Update Item (Year)', 'laundry'),
        'view_item' => __('View Item (Year)', 'laundry'),
        'separate_items_with_commas' => __('Separate items with commas', 'laundry'),
        'add_or_remove_items' => __('Add or remove items', 'laundry'),
        'choose_from_most_used' => __('Choose from the most used', 'laundry'),
        'popular_items' => __('Popular Items', 'laundry'),
        'search_items' => __('Search Items', 'laundry'),
        'not_found' => __('Not Found', 'laundry'),
        'no_terms' => __('No items', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => true,
        'public' => true,
        'show_ui' => true,
        'show_admin_column' => true,
        'show_in_nav_menus' => true,
        'show_tagcloud' => true,
    );
    register_taxonomy('history_year', array('history'), $args);
}

add_action('init', 'laundry_custom_taxonomy_history', 0);
// Register Custom Post Type
function laundry_custom_post_template() {

    $labels = array(
        'name' => _x('Template', 'Post Type General Name', 'laundry'),
        'singular_name' => _x('Template', 'Post Type Singular Name', 'laundry'),
        'menu_name' => __('Post Types Template', 'laundry'),
        'name_admin_bar' => __('Post Type Template', 'laundry'),
        'archives' => __('Item Archives', 'laundry'),
        'attributes' => __('Item Attributes', 'laundry'),
        'parent_item_colon' => __('Parent Item:', 'laundry'),
        'all_items' => __('All Items', 'laundry'),
        'add_new_item' => __('Add New Item', 'laundry'),
        'add_new' => __('Add New Template', 'laundry'),
        'new_item' => __('New Item Template', 'laundry'),
        'edit_item' => __('Edit Item', 'laundry'),
        'update_item' => __('Update Item', 'laundry'),
        'view_item' => __('View Item', 'laundry'),
        'view_items' => __('View Items', 'laundry'),
        'search_items' => __('Search Item', 'laundry'),
        'not_found' => __('Not found', 'laundry'),
        'not_found_in_trash' => __('Not found in Trash', 'laundry'),
        'featured_image' => __('Featured Image', 'laundry'),
        'set_featured_image' => __('Set featured image', 'laundry'),
        'remove_featured_image' => __('Remove featured image', 'laundry'),
        'use_featured_image' => __('Use as featured image', 'laundry'),
        'insert_into_item' => __('Insert into item', 'laundry'),
        'uploaded_to_this_item' => __('Uploaded to this item', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
        'filter_items_list' => __('Filter items list', 'laundry'),
    );
    $args = array(
        'label' => __('Template', 'laundry'),
        'description' => __('Post Type Template Description', 'laundry'),
        'labels' => $labels,
        'supports' => array('title', 'editor'),
        'hierarchical' => false,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => true,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('template', $args);
}

add_action('init', 'laundry_custom_post_template', 0);



/* ============================================================================== */
/* ============================================================================== */
/* ============================================================================== */

// Register Custom Post Type
function laundry_custom_post_type_pricing() {

    $labels = array(
        'name' => _x('Pricing Post Types', 'Post Type General Name', 'laundry'),
        'singular_name' => _x('Pricing', 'Post Type Singular Name', 'laundry'),
        'menu_name' => __('Pricing Post Types', 'laundry'),
        'name_admin_bar' => __('Pricing', 'laundry'),
        'archives' => __('Item Archives', 'laundry'),
        'attributes' => __('Item Attributes', 'laundry'),
        'parent_item_colon' => __('Parent Item:', 'laundry'),
        'all_items' => __('All Items', 'laundry'),
        'add_new_item' => __('Add New Item', 'laundry'),
        'add_new' => __('Add New Price', 'laundry'),
        'new_item' => __('New Price Item', 'laundry'),
        'edit_item' => __('Edit Price Item', 'laundry'),
        'update_item' => __('Update Price Item', 'laundry'),
        'view_item' => __('View Price Item', 'laundry'),
        'view_items' => __('View Price Items', 'laundry'),
        'search_items' => __('Search Item', 'laundry'),
        'not_found' => __('Not found', 'laundry'),
        'not_found_in_trash' => __('Not found in Trash', 'laundry'),
        'featured_image' => __('Featured Image', 'laundry'),
        'set_featured_image' => __('Set featured image', 'laundry'),
        'remove_featured_image' => __('Remove featured image', 'laundry'),
        'use_featured_image' => __('Use as featured image', 'laundry'),
        'insert_into_item' => __('Insert into item', 'laundry'),
        'uploaded_to_this_item' => __('Uploaded to this item', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
        'filter_items_list' => __('Filter items list', 'laundry'),
    );
    $args = array(
        'label' => __('Pricing', 'laundry'),
        'description' => __('Post Type pricing Description', 'laundry'),
        'labels' => $labels,
        'supports' => array('title'),
        'taxonomies' => array('pricing_category'),
        'hierarchical' => false,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'show_in_admin_bar' => true,
        'show_in_nav_menus' => true,
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => false,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('pricing', $args);
}

add_action('init', 'laundry_custom_post_type_pricing', 0);

// Register Custom Taxonomy
function laundry_custom_taxonomy_pricing() {

    $labels = array(
        'name' => _x('Pricing Categories', 'Taxonomy General Name', 'laundry'),
        'singular_name' => _x('Pricing Category', 'Taxonomy Singular Name', 'laundry'),
        'menu_name' => __('Pricing Category', 'laundry'),
        'all_items' => __('All Items', 'laundry'),
        'parent_item' => __('Parent Item', 'laundry'),
        'parent_item_colon' => __('Parent Item:', 'laundry'),
        'new_item_name' => __('New Item Name', 'laundry'),
        'add_new_item' => __('Add New Item', 'laundry'),
        'edit_item' => __('Edit Item', 'laundry'),
        'update_item' => __('Update Item', 'laundry'),
        'view_item' => __('View Item', 'laundry'),
        'separate_items_with_commas' => __('Separate items with commas', 'laundry'),
        'add_or_remove_items' => __('Add or remove items', 'laundry'),
        'choose_from_most_used' => __('Choose from the most used', 'laundry'),
        'popular_items' => __('Popular Items', 'laundry'),
        'search_items' => __('Search Items', 'laundry'),
        'not_found' => __('Not Found', 'laundry'),
        'no_terms' => __('No items', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => true,
        'public' => true,
        'show_ui' => true,
        'show_admin_column' => true,
        'show_in_nav_menus' => true,
        'show_tagcloud' => true,
    );
    register_taxonomy('pricing_category', array('pricing'), $args);
}


function laundry_custom_taxonomy_pricing_tab() {

    $labels = array(
        'name' => _x('Pricing Tab Categories', 'Taxonomy General Name', 'laundry'),
        'singular_name' => _x('Pricing Tab Category', 'Taxonomy Singular Name', 'laundry'),
        'menu_name' => __('Pricing Tab Category', 'laundry'),
        'all_items' => __('All Tab Items', 'laundry'),
        'new_item_name' => __('New Tab Item Name', 'laundry'),
        'add_new_item' => __('Add Tab New Item', 'laundry'),
        'edit_item' => __('Edit Tab Item', 'laundry'),
        'update_item' => __('Update Tab Item', 'laundry'),
        'view_item' => __('View Tab Item', 'laundry'),
        'separate_items_with_commas' => __('Separate items with commas', 'laundry'),
        'add_or_remove_items' => __('Add or remove Tab items', 'laundry'),
        'choose_from_most_used' => __('Choose from the most used', 'laundry'),
        'popular_items' => __('Popular Tab Items', 'laundry'),
        'search_items' => __('Search Tab Items', 'laundry'),
        'not_found' => __('Not Found', 'laundry'),
        'no_terms' => __('No items', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => true,
        'public' => true,
        'show_ui' => true,
        'show_admin_column' => true,
        'show_in_nav_menus' => true,
        'show_tagcloud' => true,
        'show_tagcloud' => true,
    );
    register_taxonomy('pricing_category_tab', array('pricing'), $args);

}



function pricing_category_add_image( $term ) {
    $terms = get_terms( array(
        'taxonomy' => 'pricing_category_tab',
        'hide_empty' => false,
    ) );
      if(empty($terms))
        return false;
    ?>
    <div class="form-field">
        <label for="taxImage"><?php _e( 'Tab Title', 'laundry' ); ?></label>
        
         <?php
         foreach($terms as $term){
             echo '<input type="checkbox" name="pricing_category_tab_title[]" value="--'.$term->slug.'--"> '.$term->name.'<br>' ;
         }
         ?>
       
        <p>The “Tab Title” is the input for Tab in shortcode.</p>
    </div>
<?php
}

function pricing_category_edit_image( $term ) {
    
    $terms = get_terms( array(
        'taxonomy' => 'pricing_category_tab',
        'hide_empty' => false,
    ) );
    if(empty($terms))
        return false;
    $t_id = $term->term_id;
    $pricing_category_tab_title = get_term_meta( $t_id, 'pricing_category_tab_title', true ); 
    ?>
    <tr class="form-field">
        <th><label for="taxImage"><?php _e( 'Tab Title', 'laundry' ); ?></label></th>
        <td>     
         <?php
         foreach($terms as $term){
             if (strpos($pricing_category_tab_title,'--'.$term->slug.'--') !== false) {
                echo '<input checked="checked" type="checkbox" name="pricing_category_tab_title[]" value="--'.$term->slug.'--">'.$term->name.'<br>' ;
            }else{
                echo '<input  type="checkbox" name="pricing_category_tab_title[]" value="--'.$term->slug.'--"> '.$term->name.'<br>' ;
            }
         }
         ?>
        </td>
    </tr>
    
<?php
}

function pricing_category_save_image( $term_id ) {
    if ( isset( $_POST['pricing_category_tab_title'] ) ) {
        $term_title = $_POST['pricing_category_tab_title'];
        $term_title=implode (",", $term_title);
        if( $term_title ) {
             update_term_meta( $term_id, 'pricing_category_tab_title', $term_title );
        }
    }
}  


function pricing_category_tab_add_image( $term ) {
    ?>
    <div class="form-field">
        <label for="taxImage"><?php _e( 'Tab Icon', 'laundry' ); ?></label>

        <input type="text" name="pricing_category_tab_icon" id="pricing_category_tab_icon" value="">
        <p>The “Tab Icon” is the input for Tab icon in shortcode. Please input only class name.</p>
    </div>
<?php
}
function pricing_category_tab_edit_image( $term ) { 
     $pricing_category_tab_icon = get_term_meta( $term->term_id , 'pricing_category_tab_icon', true ); 
    ?>
    <tr class="form-field">
        <th><label for="taxImage"><?php _e( 'Tab Icon', 'laundry' ); ?></label></th>
         
        <td>     
            <input type="text" name="pricing_category_tab_icon" id="pricing_category_tab_icon" value="<?php echo esc_attr( $pricing_category_tab_icon ) ? esc_attr( $pricing_category_tab_icon ) : ''; ?>">
            <p class="description">The “Tab Icon” is the input for Tab icon in shortcode. Please input only class name.</p>
        </td>
    </tr>
    
<?php
}

function pricing_category_tab_save_image( $term_id ) {
    if ( isset( $_POST['pricing_category_tab_icon'] ) ) { 
        update_term_meta( $term_id,'pricing_category_tab_icon', $_POST['pricing_category_tab_icon'] );
    }
}  



add_action('init', 'laundry_custom_taxonomy_pricing', 0);
add_action('init', 'laundry_custom_taxonomy_pricing_tab', 0);
add_action( 'pricing_category_add_form_fields', 'pricing_category_add_image', 10, 2 );
add_action( 'pricing_category_edit_form_fields', 'pricing_category_edit_image', 10 );   
add_action( 'edited_pricing_category', 'pricing_category_save_image' );  
add_action( 'create_pricing_category', 'pricing_category_save_image' );


add_action( 'pricing_category_tab_add_form_fields', 'pricing_category_tab_add_image', 10, 2 );
add_action( 'pricing_category_tab_edit_form_fields', 'pricing_category_tab_edit_image', 10 );   
add_action( 'edited_pricing_category_tab', 'pricing_category_tab_save_image' );  
add_action( 'create_pricing_category_tab', 'pricing_category_tab_save_image' );

// edit by shahin
// Register Custom Post Type
function laundry_services_post_type() {


    $slug_postype_laundry_services = 'laundry-services';


    $laundry_opt = laundry_get_options();
    if( isset( $laundry_opt['laundry-slug_postype_laundry_services'] )&&!empty($laundry_opt['laundry-slug_postype_laundry_services']) ){
            $slug_postype_laundry_services = $laundry_opt['laundry-slug_postype_laundry_services'];
    }

    $labels = array(
        'name' => _x('Services', 'Post Type General Name', 'laundry'),
        'singular_name' => _x('Service', 'Post Type Singular Name', 'laundry'),
        'menu_name' => __('Services', 'laundry'),
        'name_admin_bar' => __('Service', 'laundry'),
        'archives' => __('Item Archives', 'laundry'),
        'parent_item_colon' => __('Parent Item:', 'laundry'),
        'all_items' => __('All Services', 'laundry'),
        'add_new_item' => __('Add New Service', 'laundry'),
        'add_new' => __('Add New Service', 'laundry'),
        'new_item' => __('New Service Item', 'laundry'),
        'edit_item' => __('Edit Service Item', 'laundry'),
        'update_item' => __('Update Service Item', 'laundry'),
        'view_item' => __('View Service Item', 'laundry'),
        'search_items' => __('Search Item', 'laundry'),
        'not_found' => __('Not found', 'laundry'),
        'not_found_in_trash' => __('Not found in Trash', 'laundry'),
        'featured_image' => __('Featured Image', 'laundry'),
        'set_featured_image' => __('Set featured image', 'laundry'),
        'remove_featured_image' => __('Remove featured image', 'laundry'),
        'use_featured_image' => __('Use as featured image', 'laundry'),
        'insert_into_item' => __('Insert into item', 'laundry'),
        'uploaded_to_this_item' => __('Uploaded to this item', 'laundry'),
        'items_list' => __('Items list', 'laundry'),
        'items_list_navigation' => __('Items list navigation', 'laundry'),
        'filter_items_list' => __('Filter items list', 'laundry'),
    );

    $args = array(
        'labels' => $labels,
        'description' => __('Description.', 'laundry'),
        'public' => true,
        'publicly_queryable' => true,
        'taxonomies' => array('taxonomy_service'),
        'show_ui' => true,
        'show_in_menu' => true,
        'query_var' => true,
        'rewrite' => array('slug' => $slug_postype_laundry_services ),
        'capability_type' => 'post',
        'has_archive' => true,
        'hierarchical' => false,
        'menu_position' => null,
        'supports' => array('title', 'editor', 'thumbnail', 'page-attributes'),
    );

    register_post_type('laundry_services', $args);
}

add_action('init', 'laundry_services_post_type', 0);

function laundry_services_taxonomy_service() {

    $labels = array(
        'name' => _x('Service categories', 'Taxonomy General Name', 'laundry-services'),
        'singular_name' => _x('Service category', 'Taxonomy Singular Name', 'laundry-services'),
        'menu_name' => __('Services Category', 'laundry-services'),
        'all_items' => __('All Items', 'laundry-services'),
        'parent_item' => __('Parent Item', 'laundry-services'),
        'parent_item_colon' => __('Parent Item:', 'laundry-services'),
        'new_item_name' => __('New Item Name', 'laundry-services'),
        'add_new_item' => __('Add New Item', 'laundry-services'),
        'edit_item' => __('Edit Item', 'laundry-services'),
        'update_item' => __('Update Item', 'laundry-services'),
        'view_item' => __('View Item', 'laundry-services'),
        'separate_items_with_commas' => __('Separate items with commas', 'laundry-services'),
        'add_or_remove_items' => __('Add or remove items', 'laundry-services'),
        'choose_from_most_used' => __('Choose from the most used', 'laundry-services'),
        'popular_items' => __('Popular Items', 'laundry-services'),
        'search_items' => __('Search Items', 'laundry-services'),
        'not_found' => __('Not Found', 'laundry-services'),
        'no_terms' => __('No items', 'laundry-services'),
        'items_list' => __('Items list', 'laundry-services'),
        'items_list_navigation' => __('Items list navigation', 'laundry-services'),
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => true,
        'public' => true,
        'show_ui' => true,
        'show_admin_column' => true,
        'show_in_nav_menus' => true,
        'show_tagcloud' => true,
    );

    register_taxonomy('taxonomy_service', array('laundry_services'), $args);
}

add_action('init', 'laundry_services_taxonomy_service', 0);




// Register Custom Post Type
function laundry_services_coupons_post_type() {

    $labels = array(
        'name'                  => _x( 'Coupons', 'Post Type General Name', 'laundry-services' ),
        'singular_name'         => _x( 'Coupon', 'Post Type Singular Name', 'laundry-services' ),
        'menu_name'             => __( 'Coupons', 'laundry-services' ),
        'name_admin_bar'        => __( 'Coupon', 'laundry-services' ),
        'archives'              => __( 'Item Archives', 'laundry-services' ),
        'parent_item_colon'     => __( 'Parent Item:', 'laundry-services' ),
        'all_items'             => __( 'All Coupons', 'laundry-services' ),
        'add_new_item'          => __( 'Add New Coupon', 'laundry-services' ),
        'add_new'               => __( 'Add New Coupon', 'laundry-services' ),
        'new_item'              => __( 'New Service Item', 'laundry-services' ),
        'edit_item'             => __( 'Edit Coupon Item', 'laundry-services' ),
        'update_item'           => __( 'Update Coupon Item', 'laundry-services' ),
        'view_item'             => __( 'View Coupon Item', 'laundry-services' ),
        'search_items'          => __( 'Search Item', 'laundry-services' ),
        'not_found'             => __( 'Not found', 'laundry-services' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'laundry-services' ),
        'featured_image'        => __( 'Featured Image', 'laundry-services' ),
        'set_featured_image'    => __( 'Set featured image', 'laundry-services' ),
        'remove_featured_image' => __( 'Remove featured image', 'laundry-services' ),
        'use_featured_image'    => __( 'Use as featured image', 'laundry-services' ),
        'insert_into_item'      => __( 'Insert into item', 'laundry-services' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'laundry-services' ),
        'items_list'            => __( 'Items list', 'laundry-services' ),
        'items_list_navigation' => __( 'Items list navigation', 'laundry-services' ),
        'filter_items_list'     => __( 'Filter items list', 'laundry-services' ),
    );
    
    $args = array(
        'labels'             => $labels,
        'description'        => __( 'Description.', 'laundry-services' ),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'rewrite'            => array( 'slug' => 'our-coupons' ),
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'              => array( 'title',  'thumbnail' ),
    );


    register_post_type( 'our-coupons', $args );

}
add_action( 'init', 'laundry_services_coupons_post_type', 0 );


register_activation_hook( __FILE__, 'landry_activation_func' ); 
function landry_activation_funcc() {
    file_put_contents(__DIR__.'/error_log.txt', ob_get_contents());
}



function laundry_add_fonts_family(){
    
     return  array(
        array(
            'type' => 'dropdown',
            'heading' => __( 'Icon library', 'js_composer' ),
            'value' => array(
                __( 'Font Awesome', 'js_composer' ) => 'fontawesome',
                __( 'Open Iconic', 'js_composer' ) => 'openiconic',
                __( 'Typicons', 'js_composer' ) => 'typicons',
                __( 'Entypo', 'js_composer' ) => 'entypo',
                __( 'Linecons', 'js_composer' ) => 'linecons',
                __( 'Mono Social', 'js_composer' ) => 'monosocial',
            ),
			'dependency' => array(
                'element' => 'icon',
                'value' => 'other',
            ),
            'param_name' => 'icon_type',
            'description' => __( 'Select icon library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_fontawesome',
            'value' => 'fa fa-info-circle',
            'settings' => array(
                'emptyIcon' => false,
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'fontawesome',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_openiconic',
            'settings' => array(
                'emptyIcon' => false,
                'type' => 'openiconic',
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'openiconic',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_typicons',
            'settings' => array(
			  'emptyIcon' => false,
                'type' => 'typicons',
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'typicons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_entypo',
            'settings' => array(
                'emptyIcon' => false,
                'type' => 'entypo',
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'entypo',
            ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_linecons',
            'settings' => array(
                'emptyIcon' => false,
                'type' => 'linecons',
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'linecons',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
        array(
            'type' => 'iconpicker',
            'heading' => __( 'Icon', 'js_composer' ),
            'param_name' => 'icon_monosocial',
            'value' => 'vc-mono vc-mono-fivehundredpx',
            'settings' => array(
                'emptyIcon' => false,
                'type' => 'monosocial',
                'iconsPerPage' => 4000,
            ),
            'dependency' => array(
                'element' => 'icon_type',
                'value' => 'monosocial',
            ),
            'description' => __( 'Select icon from library.', 'js_composer' ),
        ),
     );
    }
	
	
	function laundry_replace_icon_html($atts){
        extract(shortcode_atts(array(
            'icon' => '',
            'heading' => '',
            'description' => '',
            'icon_type' => 'fontawesome',
            'icon_fontawesome' => '',
            'icon_openiconic'=> '',
            'icon_typicons'=> '',
            'icon_entypo'=> '',
            'icon_linecons'=> '',
            'icon_monosocial'=>'',
            ), $atts));

        if(!empty($icon_type) && function_exists('vc_icon_element_fonts_enqueue')){
               vc_icon_element_fonts_enqueue( $icon_type );
               if(${'icon_'.$icon_type}!='')
               $icon=${'icon_'.$icon_type};
            }
        return $icon;

    }
    add_filter( 'replace_icon_html', 'laundry_replace_icon_html' );

   



















