<?php
    class LaundryTeam{
        public static $colno;
        public static function load(){
            add_shortcode( 'laundry_team_carousel', array(__CLASS__, 'laundry_team_carousel_func'));
            add_shortcode( 'laundry_team', array(__CLASS__, 'laundry_team_func'));
        }
        public static function laundry_team_carousel_func ($atts, $content = null)
        {
            extract(shortcode_atts(array(
                'team_col' => '3',
            ), $atts));
            self::$colno = $team_col;
            $output .= '<div class="row bulb-carousel">';
                $output .=  do_shortcode($content);
            $output .= '</div>';
            self::$colno = null;
            return $output;
        }

        
        public static function laundry_team_func ($atts, $content = null)
        {
            extract( shortcode_atts( array(
                'name' => '',
                'designation' => '',
                'image' => '',
            ), $atts ));
            $column_no = self::$colno;

            switch((int)$column_no){
                case 2:
                    $colclass = 'col-sm-6 col-xs-12';
                    break;
                case 4:
                    $colclass = 'col-md-3 col-sm-4 col-xs-12';
                    break;
                default:
                    $colclass = 'col-md-4 col-sm-4 col-xs-12';
                    break;
            }
            $attachement_url = wp_get_attachment_url((int)$image);
            ob_start();
            
            ?>
            <div class="<?php echo esc_attr($colclass)?>">
                <div class="bulb-block">
                    <div class="bulb">
                        <div class="bulb-img">
                            <?php echo wp_get_attachment_image((int)$image, 'full');?>
                        </div>
                        <div class="bulb-mask">
                            <img src="<?php echo esc_url(LAUNDRY_IMG_URL);?>bulbmask.png" alt="">
                        </div>
                    </div>
                    <div class="bulb-block-title"><?php echo wp_kses_post($name) ;?></div>
                    <div class="bulb-block-text"><?php echo wp_kses_post($designation);?></div>
                </div>
            </div>
            <?php
            return ob_get_clean();
        }
    }
    LaundryTeam::load();
    
	 
    add_shortcode( 'laundry_title', 'laundry_title_func' );
    function laundry_title_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => 'The Title',
            'text_align' => '',
            'title_underline' => '',
            'is_for_dark_bg' => '',
            'extra_class' => '',
        ), $atts));
            ob_start();
			?>
                        <h2 class="<?php if($extra_class){ echo esc_attr($extra_class).' '; } if( $is_for_dark_bg == 'is_dark_bg' ){ echo esc_attr( 'box-color-white' ); } ?> <?php if( $title_underline == 'underline_none' ){ echo ''; }else{ echo esc_attr( 'title-underline' ); } ?> <?php if( $text_align == 'text-left' ){ echo esc_attr('text-left'); }elseif( $text_align == 'text-right' ){ echo esc_attr( 'text-right' ); }else{ echo esc_attr( 'text-center' ); } ?>"><?php if( $title != '' ){ echo $title; } ?></h2>
		  <?php
		$output = ob_get_clean();
      return $output;
    }

	
	 
    add_shortcode( 'laundry_theme_block_heading_link', 'laundry_theme_block_heading_link_func' );
    function laundry_theme_block_heading_link_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => 'The Block Heading',
            'title_link' => 'The Block Heading',
            'extra_class' => '',
        ), $atts));
            ob_start();
			?>			
			<a href="<?php if( $title_link != '' ){ echo esc_url($title_link); } ?>" class="promo-fluid <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
				<?php if( $title != '' ){ echo esc_html($title); } ?>
		  </a>
		  <?php
		$output = ob_get_clean();
      return $output;
    }



add_shortcode('laundry_services_button', 'laundry_services_button_func');

function laundry_services_button_func($atts, $content = null) {

    extract(shortcode_atts(array(
        'title' => '',
        'button_action' => 'modal',
        'modal_id' => 'modalOrder',
        'link_url'   => '',
        'extra_class' => '',
                    ), $atts));
    ob_start();

    if ($button_action == 'modal'):  ?>

        <div class="text-center">
            <a class="left btn btn-default btn-green btn-lg popup-link" href="#<?php echo esc_html($modal_id); ?>">
                <i class="icon-video"></i><?php echo esc_html($title); ?>
            </a>
        </div>
        <?php else: ?>
            <div class="text-center">
              <a class="btn btn-default btn-green btn-lg popup-link" href="<?php if( $link_url != '' ){ echo esc_url( $link_url ); } ?>">
                <i class="icon-video"></i><?php echo esc_html($title); ?>
             </a>
        </div>
    <?php endif; ?>
    <?php
    $content = ob_get_clean();
    return $content;
}

	/* ============================================================================================= */
	/* ============================================================================================= */
	
	class class_laundry_box_steps{
	
		public static $groupcount = 0, $column_size;
		
		public static function init(){
			add_shortcode( 'laundry_box_steps', array(__CLASS__, 'laundry_box_steps_func'));
			add_shortcode( 'laundry_box_steps_item', array(__CLASS__, 'laundry_box_steps_item_func') );
		}
		public static function laundry_box_steps_func($atts, $content = null)
		{
			extract(shortcode_atts(array(
				'extra_class' => '',
				'col_size' => '3',
			),$atts));
			self::$column_size = (int)$col_size;
			//output started
			$output = '<div class="row '.$extra_class.'">';
			$output .= '<div class="box-step animation" data-animation="fadeIn" data-animation-delay="0s">';
			$output .= do_shortcode($content);
			$output .= '</div><!-- end .box-step -->';
			$output .= '</div><!-- end .row -->';
			self::$groupcount = 0; //after running all shortcodes reset the variable.
			return $output;
		}
		
		public static function laundry_box_steps_item_func ($atts, $content = null){
			extract(shortcode_atts(array(
				'title' => 'The Heading',
				'label' => '',
				'highlight_label' => '',
				'thumbnail_image' => '',
				'img_class'  	=>   '',
				'link_url' => '',
				'extra_class' => '',
			), $atts));
			  $thumbnail = wp_get_attachment_image_src((int) $thumbnail_image, 'medium');
			  $colclass = 'col-xs-12 col-sm-3 col-md-'.self::$column_size;
			  
			  $additional_attribs = ' class="item '.$colclass. ' '. $extra_class.'"';
			  
			  if(self::$groupcount > 0){
				$timer = self::$groupcount * 25;	
				$additional_attribs = ' class="item animation '.$colclass.'" data-animation="fadeIn" data-animation-delay="0.'.$timer.'s"';
			  }
			  $temp_highlight_label = "<span>" . $highlight_label . "</span>";
			  $label = str_replace($highlight_label,$temp_highlight_label,$label);  

				ob_start();
				?>	
				<?php if( $link_url != '' ){ ?>		  
				<a href="<?php echo esc_url($link_url); ?>" <?php echo $additional_attribs;?>>
				<?php }else{ ?>
				<a <?php echo $additional_attribs;?>>
				<?php } ?>
					<div class="icon">
						<img src="<?php if( isset( $thumbnail[0] ) ){ echo $thumbnail[0]; } ?>" class="img-responsive1 <?php echo $img_class;?>" alt="">
					</div>
					<h6 class="description"><?php if( $title != '' ){ echo $title; } ?></h6>
					<h4 class="title"><?php if( $label != '' ){ 
						echo  $label ; } ?></h4>
				</a>
				<?php
			$output = ob_get_clean();
			self::$groupcount++;
			return $output;
		}
    } //class class_laundry_box_steps
	class_laundry_box_steps::init();
	/* ============================================================================================= */
	/* ============================================================================================= */
	class class_laundry_servicsbox{
		public static $groupcount = 0;
		public static function init()
		{
			add_shortcode( 'laundry_servicsbox', array(__CLASS__, 'laundry_servicsbox_func') );
			add_shortcode( 'laundry_servicsbox_item', array(__CLASS__, 'laundry_servicsbox_item_func') );
		}
		public static function laundry_servicsbox_func($atts, $content = null)
		{
			extract(shortcode_atts(array(
				'extra_class' => '',
			),$atts));
			
			//output started
			$output = '<div class="row services-box-mobile arrow-on-white '.$extra_class.'">';
			$output .= do_shortcode($content);
			$output .= '</div><!-- end .row -->';
			self::$groupcount = 0; //after running all shortcodes reset the variable.
			return $output;
		}
		public static function laundry_servicsbox_item_func ($atts, $content = null){
			extract(shortcode_atts(array(
				'heading' => '',
				'cont_text' => '',
				'icon' => '',
				'option_icon'=> '',
				'thumbnail' => '',
				'link_url' => '',
				'theme_color' => '',
				'extra_class' => '',
			), $atts ));
			self::$groupcount++;
			$colclass = 'col-md-4 col-sm-6 col-xs-12';
			$animdelay = '0.5s';
			if(self::$groupcount % 2 == 0){
				$animdelay = '0s';
			}

			$thumbnail_img = wp_get_attachment_image_src((int) $thumbnail, 'full');
			ob_start();
			?>
				<a class="<?php echo esc_attr($colclass)?>" href="<?php if( $link_url != '' ){ echo esc_url( $link_url ); } ?>">
					<!-- services-box -->
					<div class="services-box <?php echo esc_attr( $theme_color ); ?> animation" data-animation="fadeInUp" data-animation-delay="<?php echo esc_attr($animdelay)?>">
						<div class="icon-box">
							<?php
								if($option_icon=='image'){

									echo '<img src="'.  $thumbnail_img[0] .'" alt="photo" />';

								}else{
									if($icon!='other'){
									 	echo laundry_select_svg( $icon ); 
									}else{
										?>
										<i class="icon <?php echo apply_filters('replace_icon_html',$atts) ; ?>"></i>
                                        <?php
									}
								}
							
							 ?>
						</div>
						<h5 class="title"><?php if( $heading != '' ){ echo esc_html( $heading ); } ?></h5>
						<p>
							<?php if( $cont_text != '' ){ echo esc_html( $cont_text ); } ?>
						</p>
					</div>
					<!-- /services-box -->
				</a>
			<?php
			 $content = ob_get_clean();
			 return $content;  
		}
    }
	class_laundry_servicsbox::init();
	/* ================================================================ */
	/* ================================================================ */
	class class_laundry_featured_price{
		public static function init()
		{
			add_shortcode( 'laundry_featured_price', array(__CLASS__, 'laundry_featured_price_func') );
			add_shortcode( 'laundry_featured_price_item', array(__CLASS__, 'laundry_featured_price_item_func') );
		}
		
		public static function laundry_featured_price_func ($atts, $content = null){
			extract(shortcode_atts(array(
				'extra_class' => 0,
			), $atts));
			ob_start();
			?>
			<div class="row product-box-mobile arrow-on-white">
				<?php echo do_shortcode($content); ?>
			</div>
			<?php
			$output = ob_get_clean();
			return $output;
		}
		
		public static function laundry_featured_price_item_func ($atts, $content = null){
			extract(shortcode_atts(array(
				'icon' => '',
				'title_bef_color_text' => '',
				'title_color_text' => '',
				'title_aft_color_text' => '',
				'description' => '',
				'link_url' => '',
				'extra_class' => '',
			), $atts ));
			  
			ob_start();
			?>
				<!-- product-box -->
				<a href="<?php echo esc_url( $link_url ); ?>" class="product-box animation" data-animation="fadeInUp" data-animation-delay="0s">
					<span class="icon <?php echo esc_attr( $icon ); ?>"></span>
					<h3 class="title">
						<?php if( $title_bef_color_text != '' ){ echo esc_html( $title_bef_color_text ); } ?> 
						<?php if( $title_color_text != '' ){ echo '<span class="base-color">' . esc_html( $title_color_text ) . '</span>'; } ?>
						<?php if( $title_aft_color_text != '' ){ echo esc_html( $title_aft_color_text ); } ?>
					</h3>
					<h6 class="description">
						<?php if( $description != '' ){ echo esc_html( $description ); } ?> 
					</h6>
				</a>
				<!-- /product-box -->
			<?php
			 $content = ob_get_clean();
			 return $content;  
		}
	}
	class_laundry_featured_price::init();
	
	/* ================================================================ */
	/* ================================================================ */
	
    add_shortcode( 'laundry_testimonial_wrap', 'laundry_testimonial_wrap_func' );
    function laundry_testimonial_wrap_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'background_img' => 0,
            'extra_class' => 0,
        ), $atts));
        $attachement = wp_get_attachment_image_src((int) $background_img, 'full');
        ob_start();
			?>
			<div class="carousel-blog slick-dotted <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
				<?php echo do_shortcode($content); ?>
			</div>
		  <?php
		$output = ob_get_clean();
      return $output;
    }

	
    add_shortcode( 'laundry_testimonial_item', 'laundry_testimonial_item_func' );
    function laundry_testimonial_item_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'name' => '',
            'quotes' => '',
            'extra_class' => '',
        ), $atts )); 
		  // $unqid = $unqid . rand(1, 999);
        // $attachement = wp_get_attachment_image_src((int) $image, 'large');
		  /* 
		  echo '<pre>';
		  print_r( $attachement );
		  echo '</pre>';
		   */
        ob_start();
        ?> 		
			<div class="<?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
				<div class="carousel-blog-box">
					<div class="col-xs-3">
						<a href="#" class="img"></a>
					</div>
					<div class="col-xs-9">
						<div class="center-y">
							<h4 class="title"><a href="#"><?php if( $name != '' ){ echo esc_html( $name ); } ?></a></h4>
							<div class="description">
								<?php if( $quotes != '' ){ echo esc_html( $quotes ); } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
        <?php
		 $content = ob_get_clean();
		 return $content;  
    }
		
	/* ================================================================ */
	/* ================================================================ */
	
    add_shortcode( 'laundry_icon_thumb', 'laundry_icon_thumb_func' );
    function laundry_icon_thumb_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'extra_class' => 0,
        ), $atts));
		ob_start();
		?>
			<div class="row permission-box-mobile arrow-on-white <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
				<?php echo do_shortcode($content); ?>
			</div>
		<?php
		$output = ob_get_clean();
		return $output;
    }

	
    add_shortcode( 'laundry_icon_thumb_item', 'laundry_icon_thumb_item_func' );
    function laundry_icon_thumb_item_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => '',
            'description' => '',
            'icon' => '',
            'link_url' => '',
            'css_animation' => '',
            'animation_delay' => '',
            'extra_class' => '',

        ), $atts )); 
 
        ob_start();
        ?>
			<!-- permission box -->
		<div class="col-sm-6 col-md-4">
			<a href="<?php echo esc_url( $link_url ); ?>" class="permission-box animation <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>" data-animation="<?php echo $css_animation ?>" data-animation-delay="<?php echo esc_attr($animation_delay) ?>s" style="animation-delay: <?php echo esc_attr($animation_delay)?>s;">
				<span class="icon <?php if( $icon != '' ){ echo apply_filters('replace_icon_html',$atts) ; } ?>"></span>
				<div class="description">
					<h4 class="title"><?php if( $title != '' ){ echo esc_html($title); } ?></h4>
					<p>
						<?php if( $description != '' ){ echo esc_html($description); } ?>
					</p>
				</div>
			</a>
		</div>
        <?php 
		 $content = ob_get_clean();
		 return $content;  
    }
		
	/* ================================================================ */
	/* ================================================================ */
	
    add_shortcode( 'laundry_counterbox_wrap', 'laundry_counterbox_wrap_func' );
    function laundry_counterbox_wrap_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'background_img' => 0,
            'extra_class' => 0,
        ), $atts));
        $attachement = wp_get_attachment_image_src((int) $image, 'large');
		ob_start();
			?>
			<div class="content carusel--parallax <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>" data-image="<?php if( isset( $attachement['url'] ) ){ echo $attachement['url']; } ?>">
				<div class="container">
					<div class="counterBlock">
						<div class="row">
							<?php echo do_shortcode($content); ?>
						</div>
					</div>
				</div>
			</div>
		  <?php
		$output = ob_get_clean();
      return $output;
    }

    add_shortcode( 'laundry_counterbox_item', 'laundry_counterbox_item_func' );
    function laundry_counterbox_item_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => '',
            'icon' => '',
            'count_number' => '',
            'after_count_number' => '',
            'number_scrolling_speed' => '',
            'extra_class' => '',
        ), $atts )); 

        ob_start();
        ?>
		<!-- product-total -->
		<div class="product-total-box <?php echo esc_attr($extra_class)?>">
			<div class="product-total animation" data-animation="fadeInUp" data-animation-delay="0s">
				<div class="icon">
					<span class="icon <?php if( $icon != '' ){ echo apply_filters('replace_icon_html',$atts) ; } ?>"></span>
				</div>
				<div class="title">
					<span data-to="<?php if( $count_number != '' ){ echo esc_html( $count_number ); } ?>" <?php if( $number_scrolling_speed != '' ){ echo 'data-speed="'. intval( $number_scrolling_speed ) .'"'; } ?>><?php if( $content ){ echo $content; } ?></span><?php if( $after_count_number != '' ){ echo esc_html( $after_count_number ); } ?>
				</div>
				<div class="description">
					<?php if( $title != '' ){ echo esc_attr( $title ); } ?>
				</div>
			</div>
			<!-- /product-total -->
		</div>
		<!-- /product-total-box -->
        <?php 
		 $content = ob_get_clean();
		 return $content;  
    }
		
	/* ================================================================ */
	/* ================================================================ */
	
    add_shortcode( 'laundry_info_iconbox', 'laundry_info_iconbox_func' );
    function laundry_info_iconbox_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'wrap_title' => '',
            'wrap_description' => '',
            'background_image' => '',
            'extra_class' => '',
        ), $atts));
        $attachement = wp_get_attachment_image_src((int) $background_image, 'full');
		  // echo '<pre>';
		  // print_r( $attachement );
		  // echo '</pre>';
        ob_start(); 
			?>
			<div class="carusel--parallax box-color-white <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>" data-image="<?php if( isset( $attachement[0] ) ){ echo $attachement[0]; } ?>">
				<div class="text-center">
					<h2 class="title-underline"><?php if( $wrap_title != '' ){ echo esc_attr($wrap_title); } ?></h2>
					<p class="font-size-18"><?php if( $wrap_description != '' ){ echo esc_attr($wrap_description); } ?></p>
					<div class="divider divider-47"></div>
					<div class="row">
							<?php echo do_shortcode($content); ?>
					</div> 
					<div class="divider divider-47"></div>
				</div> 
			</div>
		  <?php
		$output = ob_get_clean();
      return $output;
    }

    add_shortcode( 'laundry_info_iconbox_item', 'laundry_info_iconbox_item_func' );
    function laundry_info_iconbox_item_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => '',
            'icon' => '',
            'cont_text' => '',
            'link_url' => '',
            'css_animation' => '',
            'animation_delay' => '',
            'extra_class' => '',
        ), $atts )); 

        ob_start();
        ?>
			
				<div class="box-icon-text animation box-color-white <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>"  data-animation="<?php echo $css_animation ?>" data-animation-delay="<?php echo esc_attr($animation_delay) ?>s" >
					<span class="icon <?php if( $icon != '' ){ echo apply_filters('replace_icon_html',$atts) ; } ?>"></span>
					<div class="description">
						<h4 class="title"><a href="<?php if( $link_url != '' ){ echo esc_attr($link_url); } ?>"><?php if( $title != '' ){ echo esc_attr($title); } ?></a></h4>
						<p>
							<?php if( $cont_text != '' ){ echo esc_attr($cont_text); } ?>
						</p>
					</div>
				</div>
        <?php 
		 $content = ob_get_clean();
		 return $content;  
    }
		
	/* ================================================================ */
	/* ================================================================ */

    add_shortcode( 'laundry_team_member', 'laundry_team_member_func' );
    function laundry_team_member_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'team_member_name' => '',
            'team_member_designation' => '',
            'team_member_photo' => '',
            'link_url' => '',
             'css_animation' => '',
            'animation_delay' => '',
            'extra_class' => '',
        ), $atts )); 

        $member_photo = wp_get_attachment_image_src((int) $team_member_photo, 'medium');
        ob_start();
		  
        ?>
			<a href="<?php if( $link_url != '' ){ echo esc_url( $link_url ); } ?>" class="box-personal animation <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>" data-animation="<?php echo $css_animation ?>" data-animation-delay="<?php echo esc_attr($animation_delay) ?>s" >
				<div class="img"><?php if( isset( $member_photo[0] ) ){ echo '<img src="'.  $member_photo[0] .'" alt="photo" />'; } ?></div>
				<h4 class="title"><?php if( $team_member_name != '' ){ echo esc_html( $team_member_name ); } ?></h4>
				<div class="description"><?php if( $team_member_designation != '' ){ echo esc_html( $team_member_designation ); } ?></div>
			</a>
        <?php 
		 $content = ob_get_clean();
		 return $content;  
    }

    /* ================================================================ */
    /* ================================================================ */


     add_shortcode( 'laundry_package_wrap', 'laundry_package_wrap_func' );
    function laundry_package_wrap_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'extra_class' => 0,
        ), $atts));
        
        ob_start();
            ?>
            <div class="row price-carousel <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
                <?php echo do_shortcode($content); ?>
            </div>
          <?php
        $output = ob_get_clean();
      return $output;
    }

    add_shortcode( 'laundry_package', 'laundry_package_func' );
    function laundry_package_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'badge_image' => '',
            'package_title' => '',
            'regular_price' => '',
            'special_price' => '',
            'package_quantity' => '',
            'package_subtitle' => '',
            'special_offer' => '',
            'button_text' => '',
            'title_text_color' => '',
            'sub_text_color' => '',
            'button_bg_color' => '',
            'quantity_text_color' => '',
            'special_price_color' => '',
            'regular_price_color' => '',
            'title_bg_color' => '',
            'button_bg_color' => '',
            'title_shadow_color' => '',
            'button_link' => '',
            'extra_class' => '',
            'css_animation' => '',
            'animation_delay' => '',
            
        ), $atts ));
        $badge_photo = '';
        if($badge_image){
            $badge_photo = wp_get_attachment_url((int) $badge_image);
        }
        $block_id = 'price-block-'.uniqid();
        ob_start();
        
        ?>
				
        
				<div class="col-sm-12 animation" data-animation="<?php echo $css_animation ?>" data-animation-delay="<?php echo esc_attr($animation_delay) ?>s" style="animation-delay: <?php echo esc_attr($animation_delay); ?>">
					
				

	            <style type="text/css">
                #<?php echo $block_id;?> .price-block-title{
                    <?php if($title_bg_color){?>
                    background-color:<?php echo $title_bg_color;?>;
                    <?php } ?>
                    <?php if($title_text_color){?>
                    color:<?php echo $title_text_color;?>;
                    <?php } ?>
                }
                #<?php echo $block_id;?> .price-block-title:before
                {
                    <?php if($title_shadow_color){?>
                    border-right-color:<?php echo $title_shadow_color;?>;
                    <?php } ?>
                }
                #<?php echo $block_id;?> .price-block-title:after
                {
                    <?php if($title_shadow_color){?>
                    border-top-color:<?php echo $title_shadow_color;?>;
                    <?php } ?>
                }
                <?php if( $special_price != '' ){?>
                    #<?php echo $block_id;?> .price-block-price
                    {
                        <?php if($special_price_color){?>
                        color:<?php echo $special_price_color;?>;
                        <?php } ?>
                    }
                    #<?php echo $block_id;?> .price-block-price .price-old
                    {
                        <?php if($regular_price_color){?>
                        color:<?php echo $regular_price_color;?>;
                        <?php } ?>
                    }
                <?php }else{ ?>
                    #<?php echo $block_id;?> .price-block-price
                    {
                        <?php if($regular_price_color){?>
                        color:<?php echo $regular_price_color;?>;
                        <?php } ?>
                    }
                <?php } ?>
                #<?php echo $block_id;?> .price-block-details{
                    <?php if($sub_text_color){?>
                    color:<?php echo $sub_text_color;?>;
                    <?php } ?>
                }
                #<?php echo $block_id;?> .price-block-details span{
                    <?php if($quantity_text_color){?>
                    color:<?php echo $quantity_text_color;?>;
                    <?php } ?>
                }
                #<?php echo $block_id;?> .price-block .btn.btn-default{
                    <?php if($button_bg_color){?>
                    background-color:<?php echo $button_bg_color;?>;
                    <?php } ?>
                }
            </style>
            <div id="<?php echo esc_attr($block_id)?>" class="price-block <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
                <div class="price-block-title"><?php if( $package_title != '' ){ echo esc_html( $package_title); } ?>
                    <?php if($badge_image){?>
                    <span class="sale-label" style="background-image:url(<?php echo $badge_photo;?>);"><?php if( $special_offer != '' ){ echo esc_html( $special_offer); } ?></span>
                    <?php }?>
                </div>
                <div class="price-block-price">
                
                <?php if( !$special_price ){ ?>
                    <?php if( $regular_price != '' ){ ?>
                        <?php echo esc_html( $regular_price); ?>
                    <?php } ?>
                <?php }else{ ?>

                <?php if( $regular_price != '' ){ ?>
                    <span class="price-old">
                       <?php echo esc_html( $regular_price); ?>
                    </span>
                <?php } ?>
                <?php if( $special_price != '' ){?>
                <?php echo esc_html($special_price);?>
                <?php }}?>
                </div>
                <div class="price-block-details"><span><?php if( $package_quantity != '' ){ echo esc_html( $package_quantity); } ?></span><?php if( $package_subtitle != '' ){ echo esc_html( $package_subtitle); } ?>
                </div>
                <?php echo $content;?>
                <?php if($button_link && $button_text){?>
                <a href="<?php echo esc_url($button_link)?>" class="btn btn-default"><?php echo esc_html( $button_text);  ?></a>
                <?php }?>
            </div>
            </div>
        <?php 
         $content = ob_get_clean();

         return $content;  
    }

	/* ================================================================ */
    /* ================================================================ */
  add_shortcode( 'laundry_services_box_wrap', 'laundry_services_box_wrap_func' );
    function laundry_services_box_wrap_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'extra_class' => 0,
        ), $atts));
        
        ob_start();
            ?>
            <div class="row services-box-info-carousel <?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>">
                <?php echo do_shortcode($content); ?>
            </div>
          <?php
        $output = ob_get_clean();
      return $output;
    }

    add_shortcode( 'laundry_services_box_item', 'laundry_services_box_item_func' );
    function laundry_services_box_item_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'title' => '',
            'description' => '',
            'thumbnail' => '',
            'link_url' => '',
            'extra_class' => '',
        ), $atts )); 

        $thumbnail_img = wp_get_attachment_image_src((int) $thumbnail, 'medium');
        ob_start();
          
        ?>
            <div class="col-md-4">
               <a href="<?php if( $link_url != '' ){ echo esc_url( $link_url ); } ?>" class="services-box-info animation" data-animation="fadeInRight" data-animation-delay="0s">
                <div class="img">
                    <?php if( isset( $thumbnail_img[0] ) ){ echo '<img src="'.  $thumbnail_img[0] .'" alt="photo" />'; } ?>
                </div>
                <h4 class="title">
                    <?php if( $title != '' ){ echo esc_html( $title ); } ?>
                </h4>
                <div class="description">
                    <p>
                        <?php if( $description != '' ){ echo esc_html( $description ); } ?>
                    </p>
                </div>
            </a>         
        </div>
        <?php 
         $content = ob_get_clean();
         return $content;  
    }
		
	/* ================================================================ */
	/* ================================================================ */
	
    add_shortcode( 'laundry_post_loop', 'laundry_post_loop_func' );
    function laundry_post_loop_func ($atts, $content = null){
	
        extract(shortcode_atts(array(
            'post_loop' => '',
            'layout' => '',
            'is_pagination' => '',
            'extra_class' => '',
        ), $atts));
		$pg_num = get_query_var('paged') ? get_query_var('paged') : 1;
		$args = array(
			'post_type'              => array( 'post' ),
			'post_status'            => array( 'publish' ),
			'nopaging'               => false,
			'paged'        			 => $pg_num,
			'posts_per_page'         => get_option('posts_per_page'),
			'orderby'         => 'ID',
			'order'         => 'DESC',
		);
		
		if(!empty($post_loop)){
			// NEED TO WORK HERE...
			$post_loop = explode('|', $post_loop);
			$temp_args = array();
                        if(!empty($post_loop)){
                            foreach($post_loop as $param){
                                    $param = explode(':', $param);
                                    if(isset($param[0])){
                                        $temp_args[$param[0]] = $param[1];
                                    }
                            }
			}
			$post_loop = $temp_args;
                        
                        if(isset($post_loop['size']) && $post_loop['size']){
                            $args['posts_per_page'] = (int)$post_loop['size'];
                        }
                        if(isset($post_loop['post_type']) && $post_loop['post_type']){
                            $args['post_type'] = $post_loop['post_type'];
                        }
                        if(isset($post_loop['order_by']) && $post_loop['order_by']){
                            $args['orderby'] = $post_loop['order_by'];
                        }
                        if(isset($post_loop['order']) && $post_loop['order']){
                            $args['order'] = $post_loop['order'];
                        }
		}
		
                        ob_start();
		  
			$pg_num = (get_query_var('paged')) ? get_query_var('paged') : 1;

				// WP_Query arguments
			

			// The Query
			$query = new WP_Query( $args );
			
			
			if( $layout == 'card' ){ ?>
			

				<div class="blog-isotope">
					<div class="post_loop_cont_wrap" style="height: 100%;">
				<?php 
				// The Loop
				if ( $query->have_posts() ) {
					?>
					<div class="post_loop_cont" style="height: 100%;"><?php
					while ( $query->have_posts() ) {
						$query->the_post();
							?>
							<div class="blog-post">
								<div class="post-image">
								<?php get_template_part( 'template-parts/media/content', get_post_format() );	?> 
								</div>
								<div class="post-content">
									<ul class="post-meta">
										<li class="post-message"><i class="icon icon-chat-bubble"></i><span> <?php comments_number( '0', '1', '%' ); ?></span></li>
										<li><?php echo get_the_date('d / m / Y')?></li>
									</ul>
									<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
									<div class="post-author"><?php esc_html_e( 'by', 'laundry' ); ?> <?php printf(esc_html__('%s', 'laundry'), get_the_author())?></div>
									<div class="post-teaser">
										<p><?php the_excerpt(); ?></p>
									</div>
								</div>
							</div>
						<?php 
					}
					?>
					
					</div>
			
					<div class="clearfix"></div>
					<?php 
					
					if( $is_pagination == 'navigation' ){ 

							 previous_posts_link('&laquo; Prev post');
							 next_posts_link( 'Next posts &raquo;', $query->max_num_pages );
					}elseif( $is_pagination == 'ajax-load' ){
						?>
						<div id="postPreload"></div>
						<div id="post_ajax_load"></div>
						<div class="text-center"><a class="btn btn-default view-more-post ajax_load_post_btn" data-post_per_load="<?php echo get_option('posts_per_page'); ?>" data-load="post-more-ajax-card.txt" ><?php esc_html_e('More Posts', 'laundry'); ?></a>
						<img class="ajax_load_post_img" src="<?php echo LAUNDRY_IMG_URL; ?>/ajax-loader.gif" style="display: none;" />
						</div>
						<div class="divider"></div>
						<?php 
					}else{
						echo '';
					}

				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			  
			  ?></div>
				</div>
				
			<?php } else{ ?>

			

					<?php 
					if ( $query->have_posts() ) {
						?>
						<div class="post_loop_cont_wrap" style="height: auto;">
												
						<div class="post_loop_cont" style="height: 100%;">
						<?php 
						while ( $query->have_posts() ) {
						$query->the_post();
?>
							<div class="blog-post">
								<div class="post-image">
								<?php get_template_part( 'template-parts/media/content', get_post_format() );	?> 
								</div>
								<div class="post-content">
									<ul class="post-meta">
										<li class="post-message"><i class="icon icon-chat-bubble"></i><span> <?php comments_number( '0', '1', '%' ); ?></span></li>
										<li><?php echo get_the_date('d / m / Y')?></li>
									</ul>
									<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
									<div class="post-author"><?php esc_html_e( 'by', 'laundry' ); ?> <?php printf(esc_html__('%s', 'laundry'), get_the_author())?></div>
									<div class="post-teaser">
										<p><?php the_excerpt(); ?></p>
									</div>
								</div>
							</div>
<?php 
						}
						?>
						</div>
						<div class="clearfix"></div>
						<?php 
						
					if( $is_pagination == 'navigation' ){ 

							 previous_posts_link('&laquo; Prev post');
							 next_posts_link( 'Next posts &raquo;', $query->max_num_pages );
					}elseif( $is_pagination == 'ajax-load' ){
						?>
						<div id="postPreload"></div>
						<div id="post_ajax_load"></div>
						<div class="text-center"><a class="btn btn-default view-more-post ajax_load_post_btn" data-post_per_load="<?php echo get_option('posts_per_page'); ?>" data-load="post-more-ajax-card.txt" ><?php esc_html_e('More Posts', 'laundry'); ?></a>
						<img class="ajax_load_post_img" src="<?php echo LAUNDRY_IMG_URL; ?>/ajax-loader.gif" style="display: none;" />
						</div>
						<div class="divider"></div>
						<?php 
					}else{
						echo '';
					}
						?></div><?php 
				}else {

						get_template_part( 'template-parts/content', 'none' );

					} 
					
				wp_reset_postdata();
					?>
				
			<?php } ?>

			  
		  <?php 
			$output = ob_get_clean();
			return $output;
    }
	 

	/* ================================================================ */
	/* ================================================================ */


    add_shortcode( 'laundry_map', 'laundry_map_func' );
    function laundry_map_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'google_map_lat' => '',
            'google_map_lan' => '',
            'zoom' => '',
            'height' => '',
            'extra_class' => '',
            'unqid' => '',
            'marker_img'=>'',
        ), $atts));
		  if( $height != '' ){
			  $height = '380px';
		  }
		$marker_photo = wp_get_attachment_image_src((int) $marker_img, 'medium');
		if(!$marker_photo){
			$marker_photo = LAUNDRY_IMG_URL.'/map-marker.png';
		}else{
			$marker_photo =$marker_photo[0];
		}
        ob_start();
		  ?>
		<div id="<?php  if( $unqid != '' ){ echo esc_js( $unqid ); } ?>" style="height: <?php echo esc_attr( $height ); ?>" class="<?php if( $extra_class != '' ){ echo esc_attr($extra_class); } ?>"></div>

	<script type="text/javascript">

		function init() {
			// Basic options for a simple Google Map
			// For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
			var mapOptions = {
				// How zoomed in you want the map to start at (always required)
				zoom: <?php echo esc_js( $zoom ); ?>,
				scrollwheel: false, // The latitude and longitude to center the map (always required)
				center: new google.maps.LatLng(<?php echo esc_js( $google_map_lat ); ?>, <?php echo esc_js( $google_map_lan ); ?>), // Glasgow
				// How you would like to style the map. 
				// This is where you would paste any style found on Snazzy Maps.
				styles: [{
					"featureType": "water",
					"elementType": "geometry.fill",
					"stylers": [{
						"color": "#d1d1d1"
					}]
				}, {
					"featureType": "transit",
					"stylers": [{
						"color": "#808080"
					}, {
						"visibility": "off"
					}]
				}, {
					"featureType": "road.highway",
					"elementType": "geometry.stroke",
					"stylers": [{
						"visibility": "on"
					}, {
						"color": "#d1d1d1"
					}]
				}, {
					"featureType": "road.highway",
					"elementType": "geometry.fill",
					"stylers": [{
						"color": "#d1d1d1"
					}]
				}, {
					"featureType": "road.local",
					"elementType": "geometry.fill",
					"stylers": [{
						"visibility": "on"
					}, {
						"color": "#ffffff"
					}, {
						"weight": 1.8
					}]
				}, {
					"featureType": "road.local",
					"elementType": "geometry.stroke",
					"stylers": [{
						"color": "#d7d7d7"
					}]
				}, {
					"featureType": "poi",
					"elementType": "geometry.fill",
					"stylers": [{
						"visibility": "on"
					}, {
						"color": "#ebebeb"
					}]
				}, {
					"featureType": "administrative",
					"elementType": "geometry",
					"stylers": [{
						"color": "#d1d1d1"
					}]
				}, {
					"featureType": "road.arterial",
					"elementType": "geometry.fill",
					"stylers": [{
						"color": "#ffffff"
					}]
				}, {
					"featureType": "road.arterial",
					"elementType": "geometry.fill",
					"stylers": [{
						"color": "#ffffff"
					}]
				}, {
					"featureType": "landscape",
					"elementType": "geometry.fill",
					"stylers": [{
						"visibility": "on"
					}, {
						"color": "#fafafa"
					}]
				}, {
					"featureType": "road",
					"elementType": "labels.text.fill",
					"stylers": [{
						"color": "#d6d6d6"
					}]
				}, {
					"featureType": "administrative",
					"elementType": "labels.text.fill",
					"stylers": [{
						"visibility": "on"
					}, {
						"color": "#bfbfbf"
					}]
				}, {
					"featureType": "poi",
					"elementType": "labels.icon",
					"stylers": [{
						"visibility": "off"
					}]
				}, {
					"featureType": "poi",
					"elementType": "labels",
					"stylers": [{
						"visibility": "off"
					}]
				}, {
					"featureType": "road.arterial",
					"elementType": "geometry.stroke",
					"stylers": [{
						"color": "#d6d6d6"
					}]
				}, {
					"featureType": "road",
					"elementType": "labels.icon",
					"stylers": [{
						"visibility": "off"
					}]
				}, {}, {
					"featureType": "poi",
					"elementType": "geometry.fill",
					"stylers": [{
						"color": "#f1f1f1"
					}]
				}]
			};
			// Get the HTML DOM element that will contain your map 
			// We are using a div with id="map" seen below in the <body>
			var mapElement = document.getElementById('<?php if( $unqid != '' ){ echo esc_js( $unqid ); } ?>');
			// Create the Google Map using our element and options defined above
			var map = new google.maps.Map(mapElement, mapOptions);
			var image = '<?php echo $marker_photo; ?>';
			// Let's also add a marker while we're at it
			var marker = new google.maps.Marker({
				position: new google.maps.LatLng(<?php echo esc_js( $google_map_lat ); ?>, <?php echo esc_js( $google_map_lan ); ?>),
				map: map,
				icon: image
			});
		}
		// When the window has finished loading create our google map below
		google.maps.event.addDomListener(window, 'load', init);
		
	</script>
		  <?php 
			$output = ob_get_clean();
			return $output;
    }
	 
	/* ================================================================ */
	/* ================================================================ */


    add_shortcode( 'laundry_history_tab', 'laundry_history_tab_func' );
    function laundry_history_tab_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'extra_class' => '',
        ), $atts));
        ob_start();
		  
		  
		  /*
			// WP_Query arguments
			$args = array(
				'post_type'              => array( 'history' ),
				'post_status'            => array( 'publish' ),
			);

			// The Query
			$query = new WP_Query( $args );

			// The Loop
			if ( $query->have_posts() ) {
				while ( $query->have_posts() ) {
					$query->the_post();
					?>
					
					<?php 
				}
			} else {
				// no posts found
			}

			// Restore original Post Data
			wp_reset_postdata();
			
			*/
		  ?>

			<div class="tab-history">
				<!-- Nav tabs -->
				<?php 
					$sl = 1;
					$terms = get_terms( 'history_year', array(
						 'hide_empty' => false,
					) );
					/*
					echo '<pre>';
					print_r( $terms );
					echo '</pre>';
					*/
				?>
				<ul class="nav nav-tabs" role="tablist">
					<?php 
						foreach( $terms as $trm ){ ?>
							<li <?php if( $sl == 1 ){ echo 'class="active"'; } ?>>
								<a href="#tab<?php echo $trm->slug; ?>" role="tab" data-toggle="tab"><?php echo $trm->name; ?></a>
							</li>
						<?php 
						$sl++;
						}
					?>
				</ul>
				<!-- Tab panes -->
				<div class="tab-content">
				
					<?php 
						$sl_in = 1;
						foreach( $terms as $trm ){ ?>
	
							<div role="tabpanel" class="tab-pane <?php if( $sl_in == 1 ){ echo 'active"'; } ?>" id="tab<?php echo $trm->slug; ?>">
							
							
							<?php 
								// WP_Query arguments
								$args = array(
									'post_type' => array( 'history' ),
									'tax_query' => array(
										  array(
												'taxonomy' => 'history_year',   // taxonomy name
												'field' => 'term_id',           // term_id, slug or name
												'terms' => $trm->term_id,       // term id, term slug or term name
										  )
									)
								);

								// The Query
								$query = new WP_Query( $args );

								// The Loop
								if ( $query->have_posts() ) {
									
									$sl_whl = 1;
									while ( $query->have_posts() ) {
										$query->the_post();
										 
					$laundry_history_style = get_post_meta(get_the_ID(), 'laundry_history_style',true);
										 
										 
										?>
											<div class="row">
											<?php 
												if( $sl_whl > 1 ){ echo '<hr>';}
												

													if($laundry_history_style=='1') :
													 ?>
														<div class="col-md-5"><?php echo get_the_post_thumbnail( get_the_ID(), array( 470, 240) ); ?></div>
													<?php endif;?>
													<div class="col-md-7">
														<h3 class="title"><?php the_title(); ?></h3>
														<?php 
															the_content( sprintf(
																					/* translators: %s: Name of current post. */
																					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'laundry' ), array( 'span' => array( 'class' => array() ) ) ),
																					the_title( '<span class="screen-reader-text">"', '"</span>', false )
																				) );
														?>
													</div>
													<?php  if($laundry_history_style=='2' ||$laundry_history_style!='1') : ?>
													<div class="col-md-5"><?php echo get_the_post_thumbnail( get_the_ID(), array( 470, 240) ); ?></div>
												<?php endif;?>
											 
											</div>
										<?php 
									$sl_whl++;
									}
								} else {
									// no posts found
								}

								// Restore original Post Data
								wp_reset_postdata();
								
							?>
							</div>
						<?php 
						$sl_in++;
						}
					?>
				
				</div>
			</div>
		  <?php 
			$output = ob_get_clean();
			return $output;
    }



	 
	/* ================================================================ */
	/* ================================================================ */


    add_shortcode( 'laundry_pricing_list', 'laundry_pricing_list_func' );
    function laundry_pricing_list_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'extra_class' => '',
            'posts_per_page'  => 10,
			'tab_view'=>1,
        ), $atts));
        ob_start();

				if($tab_view){
					$terms = get_terms( array(
						'taxonomy' => 'pricing_category_tab',
						'hide_empty' => false,
					) );
					$sl_in = 1;
					echo' <div class="prices-filter">';
					foreach( $terms as $term){
						$term->tab_icon = get_term_meta( $term->term_id, 'pricing_category_tab_icon', true );

						?>
                        <a href="#" data-category="<?php echo esc_attr($term->slug) ?>" class="<?php if( $sl_in == 1 ){ echo 'active'; } ?> price-filter color-<?php echo esc_attr($term->slug) ?> ">
                            <div class="price-filter_icon">
                                <icon class="<?php echo esc_attr($term->tab_icon); ?>"></icon>
                            </div>
                            <div class="price-filter_text"><?php echo esc_attr($term->name) ?></div>
                        </a>
                        <?php
						$sl_in ++;
					}
					echo '</div>';
					
				}
				echo '<div class="prices-tabs">';
				$terms = get_terms( 'pricing_category', array(
					 'hide_empty' => false,
				) );
				foreach( $terms as $trm ){
				$pricing_category_tab_title = get_term_meta( $trm->term_id, 'pricing_category_tab_title', true ); 
				$add_classes='';
				if($pricing_category_tab_title!=''){
					$pricing_category_tab_title=explode(',',$pricing_category_tab_title);
					foreach($pricing_category_tab_title as $tab){
						$add_classes.=str_replace('--','',$tab).' ';
					}
				}
							
                ?>
					<div class="panel <?php echo $add_classes ?>" role="tablist">
						<!-- panel heading -->
						<div class="panel-heading" role="tab">
							<h4 class="panel-title"> <a role="button" data-toggle="collapse" href="#<?php echo $trm->slug; ?>"><?php echo $trm->name; ?></a> </h4>
						</div>
						<div id="<?php echo $trm->slug; ?>" class="panel-collapse collapse" role="tabpanel">
							<div class="panel-body">
								<!--  -->
								<div class="table-price">
									<table>
										<tbody>
										<?php 
											// WP_Query arguments
											$args = array(
												'post_type' => array( 'pricing' ),
												'tax_query' => array(
													  array(
															'taxonomy' => 'pricing_category',   // taxonomy name
															'field' => 'term_id',           // term_id, slug or name
															'terms' => $trm->term_id,       // term id, term slug or term name
													  )
												),
                                                'posts_per_page' => $posts_per_page  // term no of post to show
											);

											// The Query
											$query = new WP_Query( $args );

											// The Loop
											if ( $query->have_posts() ) {
												
												while ( $query->have_posts() ) {
													$query->the_post();
													?>
													<tr>
														<td><?php the_title(); ?></td>
														<td><?php echo get_post_meta(get_the_ID(), 'framework-price', true);; ?></td>
													</tr>
													<?php 
												}
											} else {
												// no posts found
											}

											// Restore original Post Data
											wp_reset_postdata();
										?>
										</tbody>
									</table>
								</div>
								<!-- / -->
							</div>
						</div>
					</div>
				
				<?php 
				$sl_in++;
				}
				echo '</div>';
			?>
		  <?php 
			$output = ob_get_clean();
			return $output;
    }
	 
	/* ================================================================ */
	/* ================================================================ */

    add_shortcode( 'laundry_accordion', 'laundry_accordion_func' );
    function laundry_accordion_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'accordion_title' => '',
            'accordion_content' => '',
            'extra_class' => '',
            'unqid' => '',
        ), $atts ));
		  $unqid = $unqid . rand(1, 999);
			
        ob_start();
		  ?>
				<div class="panel">
					<div class="panel-heading" role="tab">
						<h4 class="panel-title"> <a role="button" data-toggle="collapse" href="#<?php  if( $unqid != '' ){ echo esc_js( $unqid ); } ?>"><?php if( $accordion_title != '' ){ echo esc_html( $accordion_title ); } ?></a> </h4>
					</div>
					<div id="<?php  if( $unqid != '' ){ echo esc_js( $unqid ); } ?>" class="panel-collapse collapse" role="tabpanel">
						<div class="panel-body">
							<!--  -->
							<div class="panel-content">
							
							<?php 
								echo wp_kses( $accordion_content , array(
									 'a' => array(
										  'href' => array(),
										  'title' => array()
									 ),
									 'br' => array(),
									 'em' => array(),
									 'strong' => array(),
									 'p' => array(),
								));
							?>
							</div>
							<!-- / -->
						</div>
					</div>
				</div>
				<?php 
				
			$output = ob_get_clean();
			return $output;
    }
	 
	/* ================================================================ */
	/* ================================================================ */

    add_shortcode( 'laundry_contact_info', 'laundry_contact_info_func' );
    function laundry_contact_info_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'address_title' => '',
            'address_1st_line' => '',
            'address_2nd_line' => '',
            'phone_title' => '',
            'phone' => '',
            'link_title' => '',
            'link_1st' => '',
            'link_2nd' => '',
            'extra_class' => '',
        ), $atts ));
		  
		  $link_1st = vc_build_link($link_1st);
		  $link_2nd = vc_build_link($link_2nd);
		 
        ob_start();
		  ?>			
				
				<div class="contact-box-01">
					<h6 class="title"><?php echo esc_html( $address_title ); ?></h6> <?php echo esc_html( $address_1st_line ); ?>
					<br> <?php echo esc_html( $address_2nd_line ); ?>
				</div>
				<div class="contact-box-02">
					<h6 class="title"><?php echo esc_html( $phone_title ); ?></h6> <?php echo esc_html( $phone ); ?>
				</div>
				<div class="contact-box-03">
					<h6 class="title"><?php echo esc_html( $link_title ); ?></h6>
					<a href="<?php if( isset( $link_1st['url'] ) ){ echo $link_1st['url']; } ?>" <?php if( isset( $link_1st['target'] ) ){ echo 'target="'. esc_attr( $link_2nd['target'] ) .'"'; } ?> ><?php if( isset( $link_1st['title'] ) ){ echo $link_1st['title']; } ?></a>
					<br>
					<a href="<?php if( isset( $link_2nd['url'] ) ){ echo $link_2nd['url']; } ?>" <?php if( isset( $link_2nd['target'] ) ){ echo 'target="'. esc_attr( $link_2nd['target'] ) .'"'; } ?> ><?php if( isset( $link_2nd['title'] ) ){ echo $link_2nd['title']; } ?></a>
				</div>
				<?php 
				
			$output = ob_get_clean();
			return $output;
    }
	 
	/* ================================================================ */
	/* ================================================================ */

    add_shortcode( 'laundry_social_icon_links', 'laundry_social_icon_links_func' );
    function laundry_social_icon_links_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'facebook' => '',
            'twitter' => '',
            'linkedin' => '',
            'instagram' => '',
            'youtube' => '',
            'pinterest' => '',
            'vimeo' => '',
            'extra_class' => '',
        ), $atts ));	
        ob_start();	
		  ?>
				<ul class="social-icon-content">
				<?php if( $facebook != '' ){ echo '<li><a href="'. esc_url( $facebook ) .'" class="icon-facebook-logo"></a></li>'; } ?>
				<?php if( $twitter != '' ){ echo '<li><a href="'. esc_url( $twitter ) .'" class="icon-twitter-logo-silhouette"></a></li>'; } ?>
				<?php if( $linkedin != '' ){ echo '<li><a href="'. esc_url( $linkedin ) .'" class="icon-linkedin-logo"></a></li>'; } ?>
				<?php if( $instagram != '' ){ echo '<li><a href="'. esc_url( $instagram ) .'" class="icon-instagram-social-network-logo-of-photo-camera"></a></li>'; } ?>
				<?php if( $youtube != '' ){ echo '<li><a href="'. esc_url( $youtube ) .'" class="icon-social-1"></a></li>'; } ?>
				<?php if( $pinterest != '' ){ echo '<li><a href="'. esc_url( $pinterest ) .'" class="icon-social"></a></li>'; } ?>
				<?php if( $vimeo != '' ){ echo '<li><a href="'. esc_url( $vimeo ) .'" class="icon-vimeo"></a></li>'; } ?>
					
				</ul>
				<?php 
				
			$output = ob_get_clean();
			return $output;
    }
//custom_template_id
 add_shortcode( 'laundry_custom_template', 'laundry_custom_template_func' );
    function laundry_custom_template_func ($atts, $content = null){
        extract(shortcode_atts(array(
            'custom_template_id' => '',
        ), $atts ));	
        ob_start();	
     
     $content_post = get_post($custom_template_id);
	 $content = $content_post->post_content;
	 $content = apply_filters('the_content', $content);
	 $content = str_replace(']]>', ']]&gt;', $content);
     echo $content;
     $output = ob_get_clean();
	 return $output;
    }






class laundry_servicesCoupns {

    public function __construct() {
        add_shortcode('laundry_coupns', array($this, 'laundry_coupns_func'));
    }

    public function laundry_coupns_func($atts, $content = null) {
        extract(shortcode_atts(array(
            'extra_class' => '',
            'column' => 3,
            'per_page' => -1,
                        ), $atts));



        $orderby = 'DESC';
        $args = array(
            'posts_per_page' => $per_page,
            'post_type' => 'our-coupons',
            'orderby' => $orderby,
            'no_found_rows' => true,
        );

        $column_no = $column;

        switch ((int) $column_no) {
            case 2:
                $colclass = 'col-md-6';
                break;
            case 3:
                $colclass = 'col-xs-12 col-sm-6 col-md-4';
                break;
            default:
                $colclass = 'col-xs-12 col-sm-6 col-md-4';
                break;
        }
        $query = new WP_Query($args);
        $rand = rand(000000, 999999);
        $loop = 1;
        ob_start();
        ?>

       <div class="row coupon-wrap">

            <?php
            if ($query->have_posts()) :

                $totalfound = $query->post_count;
                ?>
                <?php
                while ($query->have_posts()) : $query->the_post();
                    $post_id = get_the_ID();
                    $coupon_address = get_post_meta(get_the_ID(), 'framework-coupon-address', true);
                    $coupon_date = get_post_meta(get_the_ID(), 'framework-coupon-date', true);
                    $coupon_offer_title = get_post_meta(get_the_ID(), 'framework-coupon-offer-title', true);
                    $coupon_offer_subtitle = get_post_meta(get_the_ID(), 'framework-coupon-offer-subtitle', true);
                    $coupon_bottom_right = get_post_meta(get_the_ID(), 'framework-coupon-bottom-right', true);
                    $coupon_color_style = get_post_meta(get_the_ID(), 'framework-coupon-color-style', true);

                   if($coupon_color_style == 'coupon_green') {
                   		$coupon_color_style = 'style1';
                   }elseif($coupon_color_style == 'coupon_blue'){
                   		$coupon_color_style = 'style2';
                   }elseif($coupon_color_style == 'coupon_black'){
                   		$coupon_color_style = 'style3';
                   }
                    ?>

				<div class="<?php echo esc_html__($colclass); ?>">
					<div class="coupon <?php echo esc_html__($coupon_color_style); ?>">
						<div class="inside">
							<div class="coupon-logo"><?php echo get_the_post_thumbnail($post_id, 'laundry_services-coupon'); ?></div>
							<div class="text1"><?php echo esc_html__($coupon_address); ?></div>
							<div class="text2"><?php echo esc_html__($coupon_date); ?></div>
							<div class="text3"><?php echo esc_html__($coupon_offer_title); ?></div>
							<div class="text4"><?php echo esc_html__($coupon_offer_subtitle); ?></div>
							<div class="text5"><?php echo esc_html__($coupon_bottom_right); ?></div>
							<div class="coupon-print">
                           		 <a href="javascript:void(0)"  id="coupon_id" data-id="<?php echo $post_id; ?>" class="print-link"><i class="icon-fax-machine"></i><?php echo wp_kses_post(__('Print Coupon', 'laundry')); ?></a>
                           	 	<div id="popUpLoader_<?php  echo $post_id; ?>"  class="more-loader-coupon"><img class="lazyLoad" data-original="<?php echo LAUNDRY_IMG_URL; ?>/ajax-loader.gif"  src="#" alt=""></div>
							</div>

						</div>
					</div>
				</div>


                    <?php
                    $loop++;
                endwhile;
                ?>
            <?php endif; ?>  

			</div>


            <?php
            $output = ob_get_clean();
            return $output;
        }

    }

    new laundry_servicesCoupns();