<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Laundry
 */

	global $laundry_opt;
    get_header(); ?>


			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title text-center">', '</h1>' );
					the_archive_description( '<div class="archive-description decor color">', '</div>' );
				?>
			</header><!-- .page-header -->

		<div class="container">
		
			<?php if ( is_home() && ! is_front_page() ){ ?>
				<h1 class="text-center decor color">
					<?php echo single_post_title(); ?>
				</h1>
			<?php } ?>
			
			<?php if( isset($laundry_opt['blogpost_layout_view']) && $laundry_opt['blogpost_layout_view'] == 'grid-view' ){ ?>

				<div class="blog-isotope">
				
					<?php
					if ( have_posts() ) :
					?><div class="post_loop_cont_wrap"><?php 
						if ( is_home() && ! is_front_page() ) : ?>
						<?php
						endif;
						?>
						<div class="post_loop_cont">
						<?php 
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;
						?>
						</div>
						<div class="clearfix"></div>
						<?php 
						
							the_posts_pagination();
						?></div><?php 
					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
				
				</div><br><br><br> 
			<?php } else{ ?>
			<div class="row">
				<div class="col-md-9 column-center">
					
					<?php 
					if ( have_posts() ) :
						?>
						<div class="post_loop_cont_wrap">
						<?php 
						if ( is_home() && ! is_front_page() ) : ?>
						<?php
						endif;
						?>

						<div class="post_loop_cont">
						<?php 
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							?>

							<div class="blog-post">
							<?php 
								
								get_template_part( 'template-parts/media/content', get_post_format() );
							?>
								<ul class="post-meta">
									<li><i><?php esc_html_e('by', 'laundry'); ?></i> <b><?php printf(esc_html__('%s', 'laundry'), get_the_author())?></b></li>
									<li><a href="<?php the_permalink()?>"><i class="icon icon-clock"></i><span><?php echo get_the_date('M d, Y')?></span></a></li>
									<li><i class="icon icon-chat-bubble"></i><span><?php comments_number( '0', '1', '%' ); ?></span></li>
								</ul>
								<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
								<div class="post-teaser">
									<?php the_excerpt(); ?>
								</div>
								<a href="<?php the_permalink(); ?>" class="btn btn-default btn-blue"><?php esc_html_e( 'Read more', 'laundry' ); ?></a>
							</div>
							<?php 

						endwhile;
						?>
						</div>
						<div class="clearfix"></div>
						<?php 
						
							the_posts_pagination();
						?></div><?php 
					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
				
				</div>
				<div class="col-md-3 column-right">
				<?php get_sidebar();?>
				</div>
			</div>
			<?php } ?>
		</div>
		
	
<?php
get_footer();
