<?php 
/*
 * print css with cheking value is empty or not
 *
 */
function laundry_services_print_css($props = '', $values = array(), $vkey = '', $pre_fix = '', $post_fix = '')
{
    if (isset($values[$vkey]) && !empty($values[$vkey])) {
        print wp_kses_post($props.":".$pre_fix.$values[$vkey].$post_fix.";\n");
    }
    
}

function laundry_services_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   return $rgb; // returns an array with the rgb values
}
function laundry_services_color_brightness($colourstr, $steps, $darken = false) {
    $colourstr = str_replace('#','',$colourstr);
    $rhex = substr($colourstr,0,2);
    $ghex = substr($colourstr,2,2);
    $bhex = substr($colourstr,4,2);

    $r = hexdec($rhex);
    $g = hexdec($ghex);
    $b = hexdec($bhex);

    if ($darken) {
        $steps = $steps*-1;
    }

    $r = max(0,min(255,$r + $steps));
    $g = max(0,min(255,$g + $steps));  
    $b = max(0,min(255,$b + $steps));

    $hex = "#";
    $hex .= str_pad(dechex($r), 2, "0", STR_PAD_LEFT);
    $hex .= str_pad(dechex($g), 2, "0", STR_PAD_LEFT);
    $hex .= str_pad(dechex($b), 2, "0", STR_PAD_LEFT);

    return $hex;
}

function laundry_services_get_custom_styles(){
    $laundry_services_option = laundry_services_options();
    $laundry_services_colors = get_theme_mod('laundry_services_colors', array());
    $laundry_services_css = get_theme_mod('laundry_services_css', array());
 
    ob_start();
    ?>
/* body */
body{
	<?php
	if(isset($laundry_services_option['laundry-body-typography'])){
		laundry_services_print_css('font-family', $laundry_services_option['laundry-body-typography'], 'font-family');
	}
	?>
}
/* heading */
h1, h2, h3, h4, h5, h6{
	<?php
	if(isset($laundry_services_option['laundry-heading-typography'])){
		laundry_services_print_css('font-family', $laundry_services_option['laundry-heading-typography'], 'font-family');
	}
	?>
}
/*Menu*/
.box-nav.color-bg{
	background: <?php echo $laundry_services_option['laundry-header-color'] ?> none repeat scroll 0 0;
}
<?php if( isset( $laundry_services_option['laundry-header-image']['url'] )  &&  $laundry_services_option['laundry-header-image']['url'] !=''){ ?>
.box-nav {
    background: rgba(0, 0, 0, 0) url("<?php echo $laundry_services_option['laundry-header-image']['url'] ?>") repeat-x scroll center top;
}
<?php } ?>laundry-header-color
/*preloader*/

<?php if(isset($laundry_services_colors['preloader_color']) && $laundry_services_colors['preloader_color']){?>
#loader .dot{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'preloader_color');?>
}

@keyframes dot1 {
  0% {
    transform: rotateY(0) rotateZ(0) rotateX(0);
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'preloader_color');?>
  }
  45% {
    transform: rotateZ(180deg) rotateY(360deg) rotateX(90deg);
    background-color: #000000;
    animation-timing-function: cubic-bezier(0.15, 0.62, 0.72, 0.98);
  }
  90%,
  100% {
    transform: rotateY(0) rotateZ(360deg) rotateX(180deg);
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'preloader_color');?>
  }
}
<?php }?>

/*anchor*/

dl, dd, a{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'link_color'); ?>
}


a:hover,h1 a:hover, h2 a:hover,.column-right .side-block ul li a:hover,.promo-fluid:hover{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'link_hover_color'); ?>
}

/*heading*/
h1, h2, h3, h4, h5, h6 ,h1 a, h2 a, h3 a, h4 a, h5 a, h6 a{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'heading_color'); ?>
}

h1 b, h2 b,h3 b,h3 b{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'heading_span_color'); ?>
}

h1.title-underline:after, h2.title-underline:after{
      <?php laundry_services_print_css('background-color', $laundry_services_colors, 'title_color_underline'); ?>
   }



.icon,.permission-box .icon,header .box-location:before,
header .box-location:before,.product-box:hover .icon,.product-total .icon,
.box-icon-text .icon,.box-telephone:before{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'icon_color'); ?>
   }


.product-box .icon{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'big_icon_color'); ?>
   }

.tab-history .nav-tabs li:before,.promo-fluid{
  <?php laundry_services_print_css('background-color', $laundry_services_colors, 'promo_bg_color'); ?>
}


.tags-list li a, .tagcloud > a{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'tags_color'); ?>
      <?php laundry_services_print_css('border', $laundry_services_colors, 'tags_border_color','1px solid',''); ?>
}
.menu li.menu-item.current-menu-item a:after,.menu > li > a:after{
      <?php laundry_services_print_css('background-color', $laundry_services_colors, 'menu_active_line'); ?>
}
.menu > li > a{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'menu_color'); ?>
}

.text-icon-title,.text-icon-text{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'theme_text_color'); ?>
}
header .social-links ul li a{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'social_icon_color'); ?>
}
header .social-links ul li a:hover{
      <?php laundry_services_print_css('color', $laundry_services_colors, 'social_icon_hover_color'); ?>
}

/*menu*/

@media (min-width: 768px){
#slidemenu {
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'menu_bg_color'); ?>
}
.navbar-nav > li > a:hover, .navbar-nav > li > a:focus{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'menu_link_hover_color'); ?>
}
.dropdown-menu{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'dropdown_menu_bg_color'); ?>
}
.navbar-nav .dropdown .dropdown-menu li > a{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'submenu_link_color'); ?>
}
.navbar-nav .dropdown .dropdown-menu li > a:hover{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'submenu_link_hover_color'); ?>
}
}
@media (max-width: 991px){
.menu > li > a{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'mob_menu_link_color'); ?>
}
}
/*slider*/

.nivo-caption,.slick-dots li button:after{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'nivo_slider_color'); ?>
}
.theme-default .nivo-directionNav a {
    <?php laundry_services_print_css('color', $laundry_services_colors, 'nivo_slider_navigation_color'); ?>
}
.testimonials-carousel.slick-slider:before, 
.testimonials-carousel.slick-slider:after,
.slick-dots li.slick-active button:after, 
.slick-dots li.slick-active button:hover:after{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'slider_pagi_color'); ?>
}

/*Button*/

.btn, .search-submit,.request-form h4,.blog-post .post-date,.btn-default.btn-blue{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'button_bg_color'); ?>
    <?php laundry_services_print_css('color', $laundry_services_colors, 'button_text_color'); ?>
}
.btn:hover, .btn.active, .btn:active, .btn.focus, .btn:focus{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'button_bg_hover_color'); ?>
    <?php laundry_services_print_css('color', $laundry_services_colors, 'button_hover_text_color'); ?>
}
.btn:hover .icon, .btn.active .icon, .btn:active .icon, .btn.focus .icon, .btn:focus .icon,
.text-icon-icon span .icon{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'icon_hover_color'); ?>
}
.text-icon:hover .icon{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'service_icon_hover_color'); ?>
}
.btn-border{
    <?php laundry_services_print_css('border', $laundry_services_colors, 'button_border_color','1px solid',''); ?>
}

/*Footer color*/

.page-footer{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'footer_bg_color'); ?>
    <?php laundry_services_print_css('color', $laundry_services_colors, 'footer_text_color'); ?>
}
.page-footer .footer-top{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'footer_top_bg_color'); ?>
}
.page-footer .copyright,.page-footer .social-links ul li a{
    <?php laundry_services_print_css('color', $laundry_services_colors, 'footer_copyright_color'); ?>
}

/*Table color*/
.price-table > tbody > tr.table-header{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'price_table_bg_color'); ?>
}
.price-table > tbody > tr:nth-of-type(odd){
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'price_table_odd_bg_color'); ?>
}
.price-table > tbody > tr:nth-of-type(even){
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'price_table_even_bg_color'); ?>
}

/* Section Color */


.fill-bg-1,.services-box.fill-bg-1{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'service_icon_bg_color'); ?>
}
.services-box .title,.services-box p,.box-icon-text .title a,.parallax-colors-area .title-underline, .parallax-colors-area p,.promo-fluid {
    <?php laundry_services_print_css('color', $laundry_services_colors, 'laundry_services_title_color'); ?>
}
.services-box.fill-bg-2 .title,.services-box.fill-bg-2 p,.blog-post .post-quote p
{
     <?php laundry_services_print_css('color', $laundry_services_colors, 'services_bg2_color'); ?>
}
.service-item .icon-circle .icon-hover,.carousel-blog-box .img{
  <?php laundry_services_print_css('background-color', $laundry_services_colors, 'service_icon_circle_hover'); ?>
}

#header{
    <?php laundry_services_print_css('background-color', $laundry_services_colors, 'header_bg_color'); ?>
    <?php 
    if(isset($laundry_services_option['laundry_services_header_bg'])){
        laundry_services_print_css('background-image', $laundry_services_option['laundry_services_header_bg'], 'url', 'url(',')'); 
    }
    ?>
}


<?php
    if(!empty($laundry_services_css)){
        print $laundry_services_css;
    }
    if(isset($laundry_services_option['extra_css'])){
        print $laundry_services_option['extra_css'];
    }
    
    $laundry_services_custom_css = ob_get_clean();

    return $laundry_services_custom_css;
}