<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Laundry
 */

$laundry_opt = laundry_get_options();
?>

	<footer class="site-footer">
		<div class="container">
			<div class="row">
				<div class="col-sm-4 col-md-3">
					<?php if( isset( $laundry_opt['laundry-footer-logo']['url'] ) ){?>
						<a class="logo-footer" title="<?php bloginfo( 'name' ); ?>" href="<?php echo esc_url(home_url('/')); ?>"><img class="img-responsive" src="<?php echo esc_url($laundry_opt['laundry-footer-logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
					<?php } ?>
				</div>
				<div class="col-sm-8 col-md-9">
					<div class="row footer-separator">
						<div class="col-sm-6 col-md-7 col-lg-9">
							<!--  --> 
							<div class="promo-footer">


								<?php if(isset($laundry_opt['laundry-foot-bigtext-1st-line']) && $laundry_opt['laundry-foot-bigtext-1st-line']){?>
								<span class="text-1"><?php echo esc_html($laundry_opt['laundry-foot-bigtext-1st-line'])?></span>
								<?php } ?>
								<?php if(isset($laundry_opt['laundry-foot-bigtext-2nd-line']) && $laundry_opt['laundry-foot-bigtext-2nd-line']){?>
								<span class="text-2"><?php echo esc_html($laundry_opt['laundry-foot-bigtext-2nd-line'])?></span>
								<?php } ?>

							</div>
							<!-- / -->
						</div>
						<div class="col-sm-6 col-md-5 col-lg-3">
							<!-- social-icon -->
							<ul class="social-icon-footer">
								<?php 
								if( isset( $laundry_opt['laundry-footer-facebook'] ) ){
									if( $laundry_opt['laundry-footer-facebook'] != '' ){ ?>
									<li>
										<a href="<?php echo esc_url( $laundry_opt['laundry-footer-facebook'] ); ?>" class="icon-facebook-logo"></a>
									</li>
								<?php } } 
								
								if( isset( $laundry_opt['laundry-footer-twitter'] ) ){
									if( $laundry_opt['laundry-footer-twitter'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-twitter'] ); ?>" class="icon-twitter-logo-silhouette"></a>
								</li>
								<?php } } 
								
								if( isset( $laundry_opt['laundry-footer-linkedin'] ) ){
									if( $laundry_opt['laundry-footer-linkedin'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-linkedin'] ); ?>" class="icon-linkedin-logo"></a>
								</li>
								<?php } } 
								
								if( isset( $laundry_opt['laundry-footer-instagram'] ) ){
									if( $laundry_opt['laundry-footer-instagram'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-instagram'] ); ?>" class="icon-instagram-social-network-logo-of-photo-camera"></a>
								</li>
								<?php } }
								
								if( isset( $laundry_opt['laundry-footer-youtube'] ) ){
									if( $laundry_opt['laundry-footer-youtube'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-youtube'] ); ?>" class="icon-social-1"></a>
								</li>
								<?php } } 
								
								if( isset( $laundry_opt['laundry-footer-pinterest'] ) ){
									if( $laundry_opt['laundry-footer-pinterest'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-pinterest'] ); ?>" class="icon-social"></a>
								</li>
								<?php } } 
								
								if( isset( $laundry_opt['laundry-footer-vimeo'] ) ){
									if( $laundry_opt['laundry-footer-vimeo'] != '' ){ ?>
								<li>
									<a href="<?php echo esc_url( $laundry_opt['laundry-footer-vimeo'] ); ?>" class="icon-vimeo"></a>
								</li>
								<?php } } ?>
							</ul>
							<!-- /social-icon -->
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="container">
			<div class="row row-flex">
				<div class="col-xs-12 col-sm-3 col-lg-3 col1">
					<!-- box-location -->
					<?php if( isset( $laundry_opt['laundry-footer-addr-line'] ) && $laundry_opt['laundry-footer-addr-line'] != '' ){ ?>
					<div class="box-location">
						<?php	echo esc_html( $laundry_opt['laundry-footer-addr-line'] ); ?>
					</div>
					<?php } ?>				
					<!-- /box-location -->
					<?php if( isset( $laundry_opt['laundry-footer-email'] ) && $laundry_opt['laundry-footer-email'] != '' ){ ?>
					<div class="box-email">
						<a href="mailto:<?php echo esc_html( $laundry_opt['laundry-footer-email'] ); ?>"><?php echo esc_html( $laundry_opt['laundry-footer-email'] ); ?></a>
					</div>
					<?php } ?>
				</div>
				<div class="col-xs-12 col-sm-4 col-lg-4 col2">
					<!-- time-table -->
					<div class="time-table">
						<?php if( isset( $laundry_opt['laundry-foot-right-time-1st-line'] ) && $laundry_opt['laundry-foot-right-time-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-foot-right-time-1st-line'] ); } ?> <?php if( isset( $laundry_opt['laundry-foot-right-time-2nd-line'] ) && $laundry_opt['laundry-foot-right-time-2nd-line'] != '' ){ echo '<br>' . esc_html( $laundry_opt['laundry-foot-right-time-2nd-line'] ); } ?>
					</div>
					<!-- /time-table -->
				</div>
				<div class="col-xs-12 col-sm-3 col-lg-3 col3">
					<!-- copyright-box -->
					<div class="copyright-box">
						<?php if( isset( $laundry_opt['laundry-footer-copyright'] ) && $laundry_opt['laundry-footer-copyright'] != '' ){ echo esc_html( $laundry_opt['laundry-footer-copyright'] ); } ?>
					</div>
					<!-- /copyright-box -->
				</div>
				<div class="col-md-2 col4 footer-link">
                <?php //echo $laundry_opt['laundry-foot-right-last'] ?>

					<?php if( isset( $laundry_opt['laundry-foot-right-last'] ) 
					&& $laundry_opt['laundry-foot-right-last'] != '' ){ 
					echo wp_kses( $laundry_opt['laundry-foot-right-last'] ,
					 array(
						 'a' => array(
							  'href' => array(),
							  'title' => array()
						 ),
						 'br' => array(),
						 'em' => array(),
						 'strong' => array(),
						 'ul' => array(),
						 'li' => array(),
						 'p' => array(),
						 'img' => array(
							'alt'    => array(),
							'class'  => array(),
							'height' => array(),
							'src'    => array(),
							'width'  => array(),
						),
					));} ?>

									
					<!-- footer-link -->
					<!-- /footer-link -->
				</div>
			</div>
		</div>
		<div class="bubbleContainer"></div>
		<div class="backToTop js-backToTop visible">
			<i class="icon icon-right-arrow"></i>
		</div>		
	</footer>
<?php wp_footer(); ?>
<?php if ( laundry_services_options('is_modal_enable') ) { get_template_part( 'template-parts/modal' ); } ?>
</body>
</html>
