<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Laundry
 */

$laundry_opt = laundry_get_options();
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if(!function_exists('has_site_icon') || !has_site_icon()){
		if(isset($laundry_opt['laundry-site-favicon']['url']) && $laundry_opt['laundry-site-favicon']['url']){
		?>
		<link rel="icon" href="<?php echo esc_url($laundry_opt['laundry-site-favicon']['url'])?>" sizes="16x16" />
	<?php }}?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php 
	if( isset( $laundry_opt['laundry-site-preloader'] ) ){
		if( $laundry_opt['laundry-site-preloader'] ){ ?>
		
		<div class="loader">
			<div class="loader-wrapper">
				<div class="bubble1"></div>
				<div class="bubble2"></div>
			</div>
		</div>
	<?php } } ?>

	
	<?php 
	if( isset( $laundry_opt['laundry-is_sticky_header'] ) && $laundry_opt['laundry-is_sticky_header'] == 1  ){ ?>
		<header class="stickyHeader">
	<?php }else{ ?>
		<header>
	<?php } ?>
		<div class="page-header-mobile-info">
			<div class="page-header-mobile-info-content">
				<div class="page-header-info">
					<i class="icon icon-map-pointer"></i><?php if( isset( $laundry_opt['laundry-header-left-1st-line'] ) && $laundry_opt['laundry-header-left-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-left-1st-line'] ); } ?> <?php if( isset( $laundry_opt['laundry-header-left-2nd-line'] ) && $laundry_opt['laundry-header-left-2nd-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-left-2nd-line'] ); } ?>
				</div>
				<div class="page-header-info">
					<i class="icon icon-telephone"></i><?php if( isset( $laundry_opt['laundry-header-right-1st-line'] ) && $laundry_opt['laundry-header-right-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-right-1st-line'] ); } ?>
				</div>
				<div class="page-header-info">
					<?php if( isset( $laundry_opt['laundry-header-right-email'] ) && $laundry_opt['laundry-header-right-email'] != '' ){ ?>
					<i class="icon icon-email"></i><a href="<?php echo 'mailto:'. esc_html( $laundry_opt['laundry-header-right-email'] ); ?>"><?php echo esc_html( $laundry_opt['laundry-header-right-email'] ); ?></a>
					<?php } ?>
				</div>
				<div class="page-header-info">
					<i class="icon icon-clock"></i>	<?php if(isset($laundry_opt['laundry-display-header-right-text']) 
						&& $laundry_opt['laundry-display-header-right-text'] == 1){
							if( isset( $laundry_opt['laundry-header-right-2nd-line'] ) && $laundry_opt['laundry-header-right-2nd-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-right-2nd-line'] ); } 
						} ?>
				</div>
			</div>
		</div>
		<div class="container">
			<a id="touch-menu" class="mobile-menu" href="#">
				<?php 

					if(isset($laundry_opt['laundry-is_mobile_menu_icon']) 
						&& $laundry_opt['laundry-is_mobile_menu_icon'] == 1){

				?>
				<img class="img-responsive" src="<?php echo esc_url($laundry_opt['laundry-mobile_menu_icon']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
				
				<?php }else{ ?>
						<span class="icon-menu-button-of-three-horizontal-lines"></span>
				<?php } ?>
			</a>
			<div class="page-header-mobile-info-toggle"></div>
			<div class="row">
				<div class="col-sm-12 visible-sm visible-xs">
					<!-- box-telephone -->
					<div class="box-telephone ">
						<?php
						if(isset($laundry_opt['laundry-display-header-left-text']) 
						&& $laundry_opt['laundry-display-header-left-text'] == 1){
						?>
							<address>
							  <span class="icon icon-telephone"></span><?php if( isset( $laundry_opt['laundry-header-right-1st-line'] ) && $laundry_opt['laundry-header-right-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-right-1st-line'] ); } ?>
							</address>
						<?php
						}
						if(isset($laundry_opt['laundry-display-header-right-text']) 
						&& $laundry_opt['laundry-display-header-right-text'] == 1){
							if( isset( $laundry_opt['laundry-header-right-2nd-line'] ) && $laundry_opt['laundry-header-right-2nd-line'] != '' ){ echo '<div class="time hidden-sm hidden-xs">'. esc_html( $laundry_opt['laundry-header-right-2nd-line'] ) .'</div>'; } 
						}
						?>
					</div>
					<!-- /box-telephone -->
				</div>
				<?php
				if(isset($laundry_opt['laundry-display-header-left-text']) 
					&& $laundry_opt['laundry-display-header-left-text'] == 1){
				?>
				<div class="col-sm-12 col-md-4 col-lg-3 hidden-sm hidden-xs">
					<!-- box-location -->
					<address class="box-location">
						<?php if( isset( $laundry_opt['laundry-header-left-1st-line'] ) && $laundry_opt['laundry-header-left-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-left-1st-line'] ); } ?> <?php if( isset( $laundry_opt['laundry-header-left-2nd-line'] ) && $laundry_opt['laundry-header-left-2nd-line'] != '' ){ echo '<br>' . esc_html( $laundry_opt['laundry-header-left-2nd-line'] ); } ?>
					</address>
					<!-- /box-location -->
				</div>
				<div class="col-sm-12 col-md-4 col-lg-6 text-center">
					<!-- logo -->
					<?php 

					if( isset( $laundry_opt['laundry-logo']['url'] ) ){?>
						<a class="logo" title="<?php bloginfo( 'name' ); ?>" href="<?php echo esc_url(home_url('/')); ?>"><img class="img-responsive" src="<?php echo esc_url($laundry_opt['laundry-logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
					<?php } ?>
					<!-- /logo -->
				</div>
				<?php }
				if(isset($laundry_opt['laundry-display-header-right-text']) 
					&& $laundry_opt['laundry-display-header-right-text'] == 1){
				?>
				<div class="col-sm-12 col-md-4 col-lg-3 hidden-sm hidden-xs">
					<!-- box-telephone -->
					<div class="box-telephone ">
						<address>
							<?php if( isset( $laundry_opt['laundry-header-right-1st-line'] ) && $laundry_opt['laundry-header-right-1st-line'] != '' ){ echo esc_html( $laundry_opt['laundry-header-right-1st-line'] ); } ?>
						</address>
						<?php if( isset( $laundry_opt['laundry-header-right-2nd-line'] ) && $laundry_opt['laundry-header-right-2nd-line'] != '' ){ echo '<div class="time hidden-sm">'. esc_html( $laundry_opt['laundry-header-right-2nd-line'] ) .'</div>'; } ?>
					</div>
					<!-- /box-telephone -->
				</div>
				<?php } ?>
			</div>
		</div>
        
        
        
        <?php
		$menubgclass="box-nav";
        if( isset( $laundry_opt['laundry-header-image']['url'] )  &&  $laundry_opt['laundry-header-image']['url'] !=''){
			$menubgclass="box-nav";		
		 }else{
			 $menubgclass="box-nav color-bg";	
		 }?>    
		<div class="<?php echo $menubgclass?>">
			<div class="container">
				<div class="row">
					<div class="center">					
						<nav class="top-menu">
						<?php wp_nav_menu(
						array( 
						 'theme_location' => 'primary',
						 'menu_class' => 'menu',
						 'container' => 'ul',
						  'walker'  => new Walker_Laundry_Menu() //use our custom walker
						 )
						  ); ?>
						
						</nav>
					</div>
				</div>
			</div>
		</div>

	</header>
	<!-- breadcrumb -->
	
			<?php do_action('laundry_breadcrumb'); ?>
			
	<!-- /breadcrumb  -->
	<!-- slider revolution -->
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	