<?php
add_filter( 'rwmb_meta_boxes', 'laundry_reg_framework_post_meta_box' );
/**
* Register meta boxes
*
* Remember to change "your_prefix" to actual prefix in your project
*
* @return void
*/
function laundry_reg_framework_post_meta_box( $meta_boxes )
{
        global $wp_registered_sidebars;

        /**
        * prefix of meta keys (optional)
        * Use underscore (_) at the beginning to make keys hidden
        * Alt.: You also can make prefix empty to disable it
        */
        // Better has an underscore as last sign
        $prefix = 'framework';
        
        $sidebars = array();
        
        foreach($wp_registered_sidebars as $key=>$value){
            $sidebars[$key] = $value['name'];            
        }
			
        $opacities = array();

        for($o = 0.0, $n = 0; $o <= 1.0; $o += 0.1, $n++){
           $opacities[$n] = $o;
        }
			

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-quote',
            'title' => esc_html__('Post Format Data', 'laundry'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(
                array(
                    'name' => esc_html__('Quote Author', 'laundry'),
                    'desc' => esc_html__('Insert quote author name.', 'laundry'),
                    'id' => "{$prefix}-quote-author",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Quote Author Url', 'laundry'),
                    'desc' => esc_html__('Insert author url.', 'laundry'),
                    'id' => "{$prefix}-quote-author-link",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Quote Text', 'laundry'),
                    'desc' => esc_html__('Insert Quote Text.', 'laundry'),
                    'id' => "{$prefix}-quote",
                    'type' => 'textarea',                    
                ),
        ));
                    

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-video',
            'title' => esc_html__('Post Format Data', 'laundry'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__('Video Markup', 'laundry'),
                    'desc' => esc_html__('Put embed src of video. i.e. youtube, vimeo', 'laundry'),
                    'id' => "{$prefix}-video-markup",
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 3,                    
                    // 'clone' => true                            
                ),
        ));

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-audio',
            'title' => esc_html__('Post Format Data', 'laundry'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__('Audio Markup', 'laundry'),
                    'desc' => esc_html__('Put embed src of video. i.e. youtube, vimeo', 'laundry'),
                    'id' => "{$prefix}-audio-markup",
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 3,                    
                    // 'clone' => true                            
                ),
        ));


        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-link',
            'title' => esc_html__('Post Format Data', 'laundry'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(
                array(
                    'name' => esc_html__('Link', 'laundry'),
                    'desc' => esc_html__('Works with link post format.', 'laundry'),
                    'id' => "{$prefix}-link",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Link title', 'laundry'),
                    'desc' => esc_html__('Works with link post format.', 'laundry'),
                    'id' => "{$prefix}-link-title",
                    'type' => 'text',                    
                ),
        ));

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-gallery',
            'title' => esc_html__('Post Format Data', 'laundry'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                

                 array(
                    'name' => esc_html__('Upload Gallery Images', 'laundry'),
                    'id' => "{$prefix}-gallery",
                    'desc' => '',
                    'type' => 'image_advanced',
                    'max_file_uploads' => 24,
                    
                ),
        ));   
        
           $meta_boxes[] = array(
            'id' => 'framework-meta-box-gallery',
            'title' => esc_html__('Manage Gallery Meta Fields', 'laundry'),
            'pages' => array(
                'gallery',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        

                array(
                    'name' => esc_html__('Gallery Url', 'laundry'),
                    'desc' => esc_html__('Enter Your Gallary Details Url.', 'laundry'),
                    'id' => "{$prefix}-gallery-url",
                    'type' => 'text',                    
                ),


        )); 

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-testimonials',
            'title' => esc_html__('Manage Testimonial Meta Fields', 'laundry'),
            'pages' => array(
                'testimonials',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        

                array(
                    'name' => esc_html__('Customer Name', 'laundry'),
                    'desc' => esc_html__('Customer Name.', 'laundry'),
                    'id' => "{$prefix}-client-name",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Customer Designation', 'laundry'),
                    'desc' => esc_html__('Enter Customer designation.', 'laundry'),
                    'id' => "{$prefix}-client-designation",
                    'type' => 'text',                    
                ),

        )); 
      
        $posts_page = get_option('page_for_posts');

       $product_page_layout = isset($laundry_opt['laundry_product_page_layout']) ? $laundry_opt['laundry_product_page_layout'] : 1;
       $meta_boxes[] = array(
        'id' => 'laundry_product_meta_box',
        'title' => esc_html__('Product Design Settings', 'laundry'),
        'pages' => array(
            'product',
        ),
        'context' => 'side',
        'priority' => 'default',
        'fields' => array(
            array(
                'id' => "laundry_product_page_style",
                'name' => esc_html__('Page Layout', 'laundry'),
                'desc' => '',
                'type' => 'image_select',
                'std' => '',
                'options' => array(
                    '' => LAUNDRY_THEME_URI.'/images/admin/product-menu-img-'.$product_page_layout.'.png',
                    '1' => LAUNDRY_THEME_URI.'/images/admin/product-menu-img-1.png',
                    '2' => LAUNDRY_THEME_URI.'/images/admin/product-menu-img-2.png',
                    '3' => LAUNDRY_THEME_URI.'/images/admin/product-menu-img-3.png',
                ),
                'placeholder' => esc_html__('Select', 'laundry'),
            ),
            array(
                'name' => esc_html__('Product Video', 'laundry'),
                'desc' => esc_html__('Enter a video url', 'laundry'),
                'id' => "laundry_product_video",
                'type' => 'textarea',
                'cols' => 20,
                'rows' => 3,
            ),
        ));
			
			
			
		

			$meta_boxes[] = array(
				'id' => 'framework-meta-box-thumbsize',
				'title' => esc_html__('Select Thumbnail size for gallery', 'laundry'),
				'pages' => array(
					 'projects',
				),            
				'context' => 'normal',
				'priority' => 'high',
				'tab_style' => 'left',
				
				'fields' => array(

					 array(
						  'name' => esc_html__('Amount', 'laundry'),
						  'id' => "{$prefix}-amount",
						  'type' => 'text', 
					 ),
					 array(
						  'name' => esc_html__('Time duration ( Day or weeks or month )', 'laundry'),
						  'id' => "{$prefix}-timeduration",
						  'type' => 'text', 
					 ),
					 array(
						  'name' => esc_html__('Select Thumbanail size', 'laundry'),
						  'id' => "{$prefix}-thumbnail-size",
						  'type' => 'select', 
							'options' => array(
												'' => 'Default',
												'sm_squier' => 'Small Squier',
												'big_squier' => 'Big Squier',
												'single_hor' => 'Single Horizontal',
												'single_var' => 'Single Vertical',
											),
					 ),

			)); 

			

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-pricing',
            'title' => esc_html__('Price', 'laundry'),
            'pages' => array(
                'pricing',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                

                 array(
                    'name' => esc_html__('Price', 'laundry'),
                    'id' => "{$prefix}-price",
                    'type' => 'text',
                    
                ),
        ));   


      //coupons
            $meta_boxes[] = array(
            'id' => 'framework-meta-box-our-coupons',
            'title' => esc_html__('Our Coupons Meta Fields', 'laundry-services'),
            'pages' => array(
                'our-coupons',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        


                array(
                    'name' => esc_html__('Coupon Address', 'laundry-services'),
                    'desc' => esc_html__('Coupon Address', 'laundry-services'),
                    'id' => "{$prefix}-coupon-address",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Coupon Date', 'laundry-services'),
                    'desc' => esc_html__('Coupon Date', 'laundry-services'),
                    'id' => "{$prefix}-coupon-date",
                    'type' => 'text',

                ),
                array(
                    'name' => esc_html__('Coupon Offer Title', 'laundry-services'),
                    'desc' => esc_html__('Coupon Offer Title', 'laundry-services'),
                    'id' => "{$prefix}-coupon-offer-title",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Coupon Offer Subtitle', 'laundry-services'),
                    'desc' => esc_html__('Coupon Offer Subtitle', 'laundry-services'),
                    'id' => "{$prefix}-coupon-offer-subtitle",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__('Coupon Bottom', 'laundry-services'),
                    'desc' => esc_html__('Coupon Bottom Right', 'laundry-services'),
                    'id' => "{$prefix}-coupon-bottom-right",
                    'type' => 'text',                    
                ),
                 array(
                      'name' => esc_html__('Color Style', 'laundry'),
                      'id' => "{$prefix}-coupon-color-style",
                      'type' => 'select', 
                        'options' => array(
                                            'coupon_green' => 'Green',
                                            'coupon_blue' => 'Blue',
                                            'coupon_black' => 'Black',
                                        ),
                 ),

        )); 


        $posts_page = get_option('page_for_posts');

        if(!isset($_GET['post']) || intval($_GET['post']) != $posts_page){

            $meta_boxes[] = array(
                'id' => $prefix.'_page_meta_box',
                'title' => esc_html__('Page Design Settings', 'laundry'),
                'pages' => array(
                    'page',
                ),
                'context' => 'normal',
                'priority' => 'core',
                'fields' => array(
                    array(
                        'id' => "{$prefix}_show_page_title",
                        'name' => esc_html__('Show page titlebar', 'laundry'),
                        'desc' => '',
                        'type' => 'radio',
                        'std' => "on",
                        'options' => array('on'=>'Yes','off'=>'No'),
                    ),
					array(
                        'id' => "{$prefix}_show_breadcrumb",
                        'name' => esc_html__('Show Breadcrumb', 'laundry'),
                        'desc' => '',
                        'type' => 'radio',
                        'std' => "on",
                        'options' => array('on'=>'Yes','off'=>'No'),
                    ),
                )
            );
		}
			
			
		  
        return $meta_boxes;
}


