<?php

/*Customizer Code HERE*/

function laundry_theme_customizer( $wp_customize ) {

    // Customizer Title Control
    class WP_Customize_Title_Control extends WP_Customize_Control {
        public function __construct( $manager, $id, $args = array() ) {
            parent::__construct( $manager, $id, $args );
        }
        public function render_content() {
            ?><h3><?php echo esc_html( $this->label ); ?></h3><?php
        }
    }




    $wp_customize->add_panel( 'all_styling_panel', array(
        'priority'       => 10,
        'capability'     => 'edit_theme_options',
        'title'          => esc_html__('Styling Settings', 'laundry'),
        'description'    => esc_html__('All Styling Settings', 'laundry'),
    ) );
    



    //common color

     // All Color Settings
    $wp_customize->add_section( 'laundry_common_color_section' , array(
        'title'      => esc_html__( 'Common Color', 'laundry' ),
        'priority'   => 1,
        'panel'      => 'all_styling_panel'
    ) );

    //preloader color
    $wp_customize->add_setting ( 'laundry_services_colors[preloader_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[preloader_color]', array(
        'label'        => esc_html__( 'Preloader Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );
    
    //Link color
    $wp_customize->add_setting ( 'laundry_services_colors[link_color]', array (
        'default' => '#454545',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[link_color]', array(
        'label'        => esc_html__( 'Link Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );
    
    //Link color hover

    $wp_customize->add_setting ( 'laundry_services_colors[link_hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[link_color_hover]', array(
        'label'        => esc_html__( 'link hover color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    //Heading title

    $wp_customize->add_setting ( 'laundry_services_colors[heading_color]', array (
        'default' => '#454545',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[heading_color]', array(
        'label'        => esc_html__( 'Heading Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );
    
    //tag color

    $wp_customize->add_setting ( 'laundry_services_colors[tags_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[tags_color]', array(
        'label'        => esc_html__( 'Tags color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[tags_border_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[tags_border_color]', array(
        'label'        => esc_html__( 'Tags border color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );
    
    // Title color
    $wp_customize->add_setting ( 'laundry_services_colors[title_color_underline]', array (
        'default' => '#5ebb60',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[title_color_underline]', array(
        'label'        => esc_html__( 'Title Underline Color ', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    // Icon color
    $wp_customize->add_setting ( 'laundry_services_colors[icon_color]', array (
        'default' => '#5ebb60',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[icon_color]', array(
        'label'        => esc_html__( 'Icon Color ', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    //Big Icon color
    $wp_customize->add_setting ( 'laundry_services_colors[big_icon_color]', array (
        'default' => '#5e5e5e',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[big_icon_color]', array(
        'label'        => esc_html__( 'Big Icon Color ', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

   //price Table color

    $wp_customize->add_setting ( 'laundry_services_colors[price_table_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[price_table_bg_color]', array(
        'label'        => esc_html__( 'Price Bg Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[price_table_odd_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[price_table_odd_bg_color]', array(
        'label'        => esc_html__( 'Price Bg odd Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[price_table_even_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[price_table_even_bg_color]', array(
        'label'        => esc_html__( 'Price Bg Even Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[theme_text_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[theme_text_color]', array(
        'label'        => esc_html__( 'Theme Text Color', 'laundry' ),
        'section'    => 'laundry_common_color_section',
        'priority'   => 18,
    ) ) );

    //Header_color

    $wp_customize->add_section( 'laundry_header_color_section' , array(
        'title'      => esc_html__( 'Header Color', 'laundry' ),
        'priority'   => 1,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'laundry_services_colors[header_menu_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[header_menu_bg_color]', array(
        'label'        => esc_html__( 'Header Menu Bg Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[menu_active_line]', array (
        'default' => '#5ebb60',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[menu_active_line]', array(
        'label'        => esc_html__( 'Menu Active Underline', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[menu_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[menu_color]', array(
        'label'        => esc_html__( 'Menu Link Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[social_icon_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[social_icon_color]', array(
        'label'        => esc_html__( 'Social Icon Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[social_icon__hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[social_icon_hover_color]', array(
        'label'        => esc_html__( 'Social Icon hover Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    // Main menu color

    $wp_customize->add_setting ( 'laundry_services_colors[menu_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[menu_bg_color]', array(
        'label'        => esc_html__( 'Menu Bg Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[mob_menu_link_color]', array (
        'default' => '#797979',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[mob_menu_link_color]', array(
        'label'        => esc_html__( 'mobile Menu Link Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[menu_link_hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[menu_link_hover_color]', array(
        'label'        => esc_html__( 'Menu Link Hover Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[dropdown_menu_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[dropdown_menu_bg_color]', array(
        'label'        => esc_html__( 'Submenu Bg Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[submenu_link_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[submenu_link_color]', array(
        'label'        => esc_html__( 'Submenu Link Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[submenu_link_hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[submenu_link_hover_color]', array(
        'label'        => esc_html__( 'Submenu Link Hover Color', 'laundry' ),
        'section'    => 'laundry_header_color_section',
        'priority'   => 19,
    ) ) );

    //Slider color

    $wp_customize->add_section( 'laundry_Slider_color_section' , array(
        'title'      => esc_html__( 'Slider Color', 'laundry' ),
        'priority'   => 3,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'laundry_services_colors[nivo_slider_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[nivo_slider_color]', array(
        'label'        => esc_html__( 'Slider Text Color', 'laundry' ),
        'section'    => 'laundry_Slider_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[nivo_slider_navigation_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[nivo_slider_navigation_color]', array(
        'label'        => esc_html__( 'Slider Navigation Color', 'laundry' ),
        'section'    => 'laundry_Slider_color_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[slider_pagi_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[slider_pagi_color]', array(
        'label'        => esc_html__( 'Slider Pagination Color', 'laundry' ),
        'section'    => 'laundry_Slider_color_section',
        'priority'   => 19,
    ) ) );

    //Button
    $wp_customize->add_section( 'laundry_Button_section' , array(
        'title'      => esc_html__( 'Button Color', 'laundry' ),
        'priority'   => 4,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'laundry_services_colors[button_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[button_bg_color]', array(
        'label'        => esc_html__( 'Button Bg Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[button_text_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[button_text_color]', array(
        'label'        => esc_html__( 'Button Text Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[button_bg_hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[button_bg_hover_color]', array(
        'label'        => esc_html__( 'Button Hover Bg Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[button_hover_text_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[button_hover_text_color]', array(
        'label'        => esc_html__( 'Button Hover Text Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[button_border_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[button_border_color]', array(
        'label'        => esc_html__( 'Button Border Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );
    
    $wp_customize->add_setting ( 'laundry_services_colors[icon_hover_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[icon_hover_color]', array(
        'label'        => esc_html__( 'Icon Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[service_icon_hover_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[service_icon_hover_color]', array(
        'label'        => esc_html__( 'Service Icon hover Color', 'laundry' ),
        'section'    => 'laundry_Button_section',
        'priority'   => 19,
    ) ) );

    //Section color

    $wp_customize->add_section( 'laundry_section_color' , array(
        'title'      => esc_html__( 'Section color', 'laundry' ),
        'priority'   => 1,
        'panel'      => 'all_styling_panel'
    ) );

    //service icon circle

    $wp_customize->add_setting ( 'laundry_services_colors[service_icon_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[service_icon_bg_color]', array(
        'label'        => esc_html__( 'Service Icon Bg Color', 'laundry' ),
        'section'    => 'laundry_section_color',
        'priority'   => 18,
    ) ) );
    $wp_customize->add_setting ( 'laundry_services_colors[laundry_services_title_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[laundry_services_title_color]', array(
        'label'        => esc_html__( 'Service Text Title Color', 'laundry' ),
        'section'    => 'laundry_section_color',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[services_bg2_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[services_bg2_color]', array(
        'label'        => esc_html__( 'Service Bg2 Text Color', 'laundry' ),
        'section'    => 'laundry_section_color',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[promo_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[promo_bg_color]', array(
        'label'        => esc_html__( 'Promo Bg Color', 'laundry' ),
        'section'    => 'laundry_section_color',
        'priority'   => 18,
    ) ) );

    //Footer color

    $wp_customize->add_section( 'laundry_footer_section' , array(
        'title'      => esc_html__( 'Footer Color', 'laundry' ),
        'priority'   => 5,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'laundry_services_colors[footer_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[footer_bg_color]', array(
        'label'        => esc_html__( 'Footer Bg Color', 'laundry' ),
        'section'    => 'laundry_footer_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[footer_top_bg_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[footer_top_bg_color]', array(
        'label'        => esc_html__( 'Footer Top Bg Color', 'laundry' ),
        'section'    => 'laundry_footer_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[footer_text_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[footer_text_color]', array(
        'label'        => esc_html__( 'Footer Text Color', 'laundry' ),
        'section'    => 'laundry_footer_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[footer_copyright_color]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[footer_copyright_color]', array(
        'label'        => esc_html__( 'Footer copyright Text Color', 'laundry' ),
        'section'    => 'laundry_footer_section',
        'priority'   => 19,
    ) ) );

    $wp_customize->add_setting ( 'laundry_services_colors[scroll_to_top]', array (
        'default' => '#28bceb',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'laundry_services_colors[scroll_to_top]', array(
        'label'        => esc_html__( 'Scroll To Top Bg color', 'laundry' ),
        'section'    => 'laundry_footer_section',
        'priority'   => 19,
    ) ) );


}
add_action( 'customize_register', 'laundry_theme_customizer' );