<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Laundry
 */
$laundry_opt = laundry_get_options();
get_header(); 
?>
	<div class="container">
		<div class="row">
			<div class="col-md-9 column-center">
		<?php
		if ( have_posts() ) : ?>
			
			<h1 class="text-center decor color">
			<?php printf( esc_html__( 'Search Results for: %s', 'laundry' ), '<span>' . get_search_query() . '</span>' ); ?>
			</h1>
			<div class="post_loop_cont_wrap">
				<?php 
				if ( is_home() && ! is_front_page() ) : ?>
				<?php
				endif;
				?>

				<div class="post_loop_cont">
				<?php 
				/* Start the Loop */
				while ( have_posts() ) : the_post();
					?>

					<div class="blog-post">
					<?php get_template_part( 'template-parts/media/content', get_post_format() );	?> 
						<ul class="post-meta">
							<li class="post-message"><i class="icon icon-chat-bubble"></i><span><?php comments_number( '0', '1', '%' ); ?></span></li>
							<li><?php echo get_the_date('d / m / Y')?></li>
						</ul>
						<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						<div class="post-author"><?php esc_html_e( 'by', 'laundry' ); ?> <?php printf(esc_html__('%s', 'laundry'), get_the_author())?></div>
						<div class="post-teaser">
							<p><?php the_excerpt(); ?></p>
						</div>
						<a href="<?php the_permalink(); ?>" class="btn btn-default btn-blue"><?php esc_html_e( 'Read more', 'laundry' ); ?></a>
					</div>
					<?php 

				endwhile;
				?>
				</div>
				<div class="clearfix"></div>
				<?php 
				
				if( isset($laundry_opt['blogpost_pagination_load']) && $laundry_opt['blogpost_pagination_load'] == 'navigation' ){ 
					the_posts_navigation();
				}elseif( isset($laundry_opt['blogpost_pagination_load']) && $laundry_opt['blogpost_pagination_load'] == 'ajax_load' ){
					?>
					<div id="postPreload"></div>
					<div class="text-center"><a class="btn btn-default view-more-post ajax_load_post_btn" data-post_per_load="<?php echo get_option('posts_per_page'); ?>" data-load="post-more-ajax-card.txt" ><?php esc_html_e('More Posts', 'laundry'); ?></a>
					<img class="ajax_load_post_img" src="<?php echo esc_url(LAUNDRY_IMG_URL); ?>/ajax-loader.gif" />
					</div>
					<div class="divider divider-lg"></div>
					<?php 
				}else{
					the_posts_pagination();
				}
				?></div>
			
			
		<?php else :?>
		
			<div class="container-fluid search_404_form">
				<?php
					get_template_part('template-parts/content', 'none');
				?>
			</div>

		<?php endif; ?>
		</div><!-- .col-md-9 -->
		<div class="col-md-3 column-right">
		<?php get_sidebar();?>
		</div>
	</div><!-- .row -->
</div><!-- .container -->


<?php
get_footer();
