<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Laundry
 */

get_header(); ?>

		<div class="container commercial_laundry_service">
		<?php if(!is_single()){?>
			<h1 class="text-center decor color">
				<?php esc_html_e('Blog Post', 'laundry'); ?>
			</h1>
		<?php } ?>
			<div class="row">
				<div class="col-md-9 column-center primary">
					<div class="blog-post single single_pg_cont">
					
						<?php
							while ( have_posts() ) : the_post();

								?>

								<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post single'); ?>>

									<div class="post-image">
										<?php get_template_part( 'template-parts/media/content', get_post_format() ); ?>
										<ul class="post-meta">
											<li><i><?php esc_html_e('by', 'laundry'); ?></i> <b><?php printf(esc_html__('%s', 'laundry'), get_the_author())?></b></li>
											<li><i class="icon icon-clock"></i><span><?php echo get_the_date('M d, Y')?></span></li>
											<li><i class="icon icon-chat-bubble"></i><span><?php comments_number( '0', '1', '%' ); ?></span></li>
										</ul>
										
										<?php the_title( '<h3 class="post-title">', '</h3>' ); ?>
										<div class="post-teaser">
											<?php 
													the_content( sprintf(
														/* translators: %s: Name of current post. */
														wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'laundry' ), array( 'span' => array( 'class' => array() ) ) ),
														the_title( '<span class="screen-reader-text">"', '"</span>', false )
													) );
													wp_link_pages( array(
														'before'      => '<div class="page-pagination"><div class="page-numbers"><span class="page-links-title">' . esc_html__( 'Pages:', 'laundry' ) . '</span>',
														'after'       => '</div></div>',
														'link_before' => '<span>',
														'link_after'  => '</span>',
														'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'laundry' ) . ' </span>%',
														'separator'   => ', ',
													) );

											?>
										</div>
										<?php echo	get_the_tag_list('<ul class="tags-links tags-list"><li>','</li><li>','</li></ul>'); ?>
									</div>
								</div>
								<?php 
									
								echo '<div class="divider-line"></div>';
								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
						?>
					
						<div id="postPreload"></div>
						<div class="divider divider-lg"></div>
					</div>
				</div>
				<div class="col-md-3 column-right">
				<?php get_sidebar();?>
				</div>
			</div>
		</div>

<?php
get_footer();

