<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Pool_Services
 */
?>

<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post single'); ?>>

	<div class="post-image">
	<?php get_template_part( 'media/content', get_post_format() ); ?>
	<ul class="post-meta">
		<?php if ( !is_single() ){ ?>
		<li><i><?php esc_html_e('by', 'laundry'); ?></i> <b><?php printf(esc_html__('%s', 'laundry'), get_the_author())?></b></li>
		<?php } ?>
		<li><i class="icon icon-clock"></i><span><?php echo get_the_date('M d, Y')?></span></li>
		<li><i class="icon icon-chat-bubble"></i><span><?php comments_number( '0', '1', '%' ); ?></span></li>
	</ul>
	
	<a href="<?php the_permalink(); ?>"> <?php the_title( '<h3 class="post-title">', '</h3>' ); ?></a>
	<div class="post-author"><?php printf(esc_html__('%s', 'laundry'), get_the_author())?></div>
	<div class="post-teaser">
		<?php 
			if ( is_single() ){
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'laundry' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );
			}else{
				if( get_option('rss_use_excerpt') ){
					the_excerpt();
					echo '<a href="'. get_the_permalink() .'" class="btn">'. esc_html__('Continue Reading', 'laundry') . '</a>';
				} else{
					the_content( sprintf(
						/* translators: %s: Name of current post. */
						wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'laundry' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					) );
				}
			}
		?>
	</div>
	<?php 
		if ( is_single() ){
		echo	get_the_tag_list('<ul class="tags-links tags-list"><li>','</li><li>','</li></ul>');
		}
	?>
</div>
